N7611B online documentation

N7611B Signal Studio
for Broadcast Radio

Online Documentation

Help system compiled on May 21, 2009—get the latest revision

© Agilent Technologies, Inc. 2007– 2009

Acknowledgements


Technical Overview

Printable Version

N7611B Signal Studio for Broadcast Radio
Technical Overview

Create broadcast radio Waveforms with Ease

The Signal Studio for Broadcast Radio enables you to easily create arbitrary baseband I/Q waveforms with different broadcast radio standards, like FM stereo, Radio Data System/Radio Broadcast Data System (RDS/RBDS), Digital Audio Broadcasting (DAB) and DAB+, targeting both R&D and manufacturing.

The software's intuitive graphical user interface provides the versatility you need to configure waveforms for both component and receiver design verification and testing. Use the N7611B to generate and download your waveform files for mono/stereo FM, RDS or DAB, DAB+ to the N5162A MXG ATE, N5182A MXG, or E4438C ESG vector signal generator, which modulates I/Q data onto an RF signal. Time-based and transportable licenses are supported.

Free 14-Day Trial

Download the software today to investigate the signal creation capability and generate test signals using a free 14-day trial license. After the trial license expires, each vector signal generator must be licensed separately to play back waveforms created by the software. For more information, visit:

www.agilent.com/find/signalstudio

Learn More

Licensing Options

Configure Waveforms Quickly and Easily

Software features

Supported Standards

Thoroughly Test Your Broadcast Radio Receivers and Components
Performance Characteristics
Recommended Configuration

Application Programming Interface (API)
Additional Information

Key Features

  • Supports N5162A MXG ATE, N5182A MXG, and E4438C ESG vector signal generators

  • Quickly and easily configures FM Multiplex (MPX) mono or stereo waveforms

  • Separately definable modulation signal in stereo L and R

  • FM Deviation 0 to 75 kHz for standard testing and up to 150 kHz for special testing

  • Pilot deviation 0.1% to 20% of FM Deviation in 0.1% steps

  • Quickly and easily configures DAB/DAB+ waveforms, including Mode I, II, III, IV.

  • Support multiple Service and service components with flexibility

  • Create or edit Service under Ensemble and Service components under each service

  • Supports RDS function for receiver (automobiles, cell phones and more) tests

  • Includes EON, TP, TA, PTY, PS, AF, CT, RT

  • Provides flexible alternative frequency (AF) configuration

  • Facilitates Radio Text messages editing - directly input or import from files

  • Provides user-definable message type and group type

  • Supports DAB\DAB+ receiver test

  • Provides Program type, service component type, Time and date.

  • Adds User defined FIG for flexible configuration

  • Provides a variety of payload data

  • sample DAB, DAB+ audio files

  • (Truncated) PN9/15, fixed pattern, MPEG-2 DAB audio file

  • Multi-carrier/multi-channel capability for up to 12 carriers, each independently configurable

  • Add I/Q waveform impairments and real-time AWGN (requires signal generator option 403)

  • Application Programming Interface (API) for automating signal creation


Licensing Options

The N7611B Signal Studio for Broadcast Radio offers flexible licensing options that allow you to choose the capability you need for your testing requirements. Additionally, time-based and perpetual licensing is available, and fixed or transportable options. To play waveforms created with this Signal Studio software, a valid license must be installed in your instrument.

Refer to the Licensing topic for detailed licensing information and an easy-to-use Configuration Assistant that guides you to the specific options that will best meet your testing needs.

Fixed and Transportable Licenses

To install a transportable license into an instrument, you must use a LAN connection and the Agilent License Manager software.

A Fixed license is tied to a specific instrument; a transportable license enables you to transfer connectivity between multiple instruments of the same model, up to 10 times per month, one instrument at a time.

Time-based Licenses

Time-based licenses are available for a one-month period and are tied to a specific instrument.

Waveform Licensing 5-pack and 50-pack

Waveform licensing is a cost-effective solution that lets you license individual waveforms rather than the Signal Studio software. Download any one or more of the N76xxB Arb-based Signal Studio waveform creation software products to create and permanently license up to 545 waveforms to meet your specific test requirements. The latest instrument firmware enables you to evaluate the waveforms for up to 48 hours before choosing the ones you want to keep. Waveform licensing is available for the following signal generator models:

  • E4438C ESG

  • N5162A MXG ATE

  • N5182A MXG

Waveform licensing 5-pack and 50-pack are not available for the E8267D PSG and N5106A PXB.


Configure Waveforms

Configure Waveforms Quickly and Easily

Signal Studio for Broadcast Radio provides a flexible, intuitive graphical user interface that makes operation easy and straightforward. All signal and hardware parameters are conveniently set in a windows interface. Graphical displays make it easy to confirm the parameters you've chosen. The software provides feedback on your settings, enabling you to quickly resolve any conflicts.

.

Figure 1. Graphical display of carrier setup for FM stereo/RDS signals, as well as pre-download CCDF and power analysis tools.

Save Configurations as Quick Setup Buttons

Start by customizing the parameters in a configuration to create the signals you need. Save your custom configurations as Quick Setups for later use. Create a library of different scenarios tailored to meet your specific testing requirements.


Software features

Provides both Digital and Analog mode in the FM Stereo\RDS format

Click on the Waveform Setup in the tree view, and a window below will appear. There are two FM schemes provided, analog and digital (default).

When FM Scheme is set to Analog, in carrier setup, a parameter FM Deviation on ESG needs to be set. This is the FM Deviation value on the ESG signal generator, which is to be set to get the desired FM Deviation value in the final waveform. However, this value is usually different from that desired value due to the analog FM implementation mechanism with ESG.

FM Deviation could only be altered through changing FM Deviation on ESG or using the calibration wizard, which is accessible through the button in this cell when an ESG is connected. The factor between FM Deviation on ESG and the FM Deviation is adjusted each time the Calibration Wizard is executed.

Digital Mode: The ARB waveform player is used to play back the frequency modulated signal. For multi-carrier source, only digital FM could be adopted. Be aware that no special connection and calibration is needed. In most cases, digital mode with appropriate sampling ratio is recommended for its simple configuration and good enough performance.

Since Default setting is Digital in FM Scheme, 120 in RDS Oversampling Ratio (with 285KHz in ARB sample clock) and 75KHz in FM deviation. Be aware that the performance of Arb sample clock is not good enough when it's lower than 285KHz. When FM Deviation is larger, Arb sample clock should be increased. Usually, it is safe when Arb sample clock is around or higher than 4 times of FM deviation. The relationship between RDS Oversampling Ratio and ARB sample clock is as follows:

Arb sample clock = 1187.2 x 2 x RDS Oversampling Ratio

FM Deviation vs Normalized vs Pre-emphasis vs Normalized at 15kHz

FM Deviation could be set by users. When Normalized is set to True, the FM Deviation value is corresponding to the peak value of the signal, including all signals, such as audio, pilot, RDS. Besides, the percentages of Pilot Deviation and RDS Deviation can be set.

Notice that Audio Source can either be Tones or WAV File, however, Pre-emphasis is only effective when audio source is multi-tone. That means pre-emphasis won't work on wav files.

When Normalized is set to False:

  • FM Deviation is used as a reference and corresponds to the amplitude of 1V.

  • The percentages of Audio Deviation, Pilot Deviation and RDS Deviation can be set corresponding to it, but finally the real FM Deviation may not the value set for FM Deviation.

When Normalized is set to False, Pre-emphasis is turned on and Normalized at 15kHz is set to False:

  • The audio signal will pass a filter like shown in the figure below.

When Normalized is set to False, Pre-emphasis is turned on and Normalized at 15kHz is set to True:

  • The Pre-emphasis gain is 0dB at 15kHz. That means the values of y-Axis in the figure will be normalized by 13.66dB.

This case is commonly used because the input range of VCO is limited.

For more information, please refer to the page: FM\Stereo Signal generation

Figure 1 The relationship curve between Frequency and Gain (50us)

Supports Multi-tone FM Stereo\ RDS signal generation

Multi-tone signal generation is supported in FM\Stereo format, in which the frequency and V-RMS (Amplitude) of each tone can be configured.

When Normalized is set to False, the percentage of Audio Deviation is for each tone.

For more information on Muti-tone signal generation, please refer to the page:Carrier Setup in FM\Stereo RDS.

Configures DAB/DAB+ waveforms with ease, including Mode I, II, III, IV.

Transmission modes, for example mode I, II, III and IV, are defined to allow the system to be used for different network configurations and a range of operating frequencies.

Four transmission modes have 4 different sub-carrier numbers respectively: 1536, 768, 384 and 192.

Transmission mode | Duration of transmission frame | Number of FIBs per transmission frame | Number of CIFs per transmission frame
I | 96 ms | 12 | 4
II | 24 ms | 3 | 1
III | 24 ms | 4 | 1
IV | 48 ms | 6 | 2

For more information, please refer to the page: Carrier Setup in DAB format.

Support multiple Service and Service Components with flexibility

As shown in the Ensemble setup view above, one Ensemble could include multiple Service Components. There are two ways to add a Service Component to an Ensemble

  1. Under Service Components node.

Notice that using method 1, the added Service Components will reside in the Ensemble root directory, and no Service Components are allocated to specific Services (Service 0, Service 1 or others).

  2. Under each Service node (Service 0, Service 1 or others).

While using method 2, the added Service Components will not only reside in the Ensemble root directory, but also are allocated to the specific Service.

For more information on ensemble structure and setup, please refer to the page: Ensemble Introduction.


Supported Standards

Formats | Standards
FM Stereo/RDS | IEC 62106:1999 standard
DAB | ETSI EN 300 401 V1.3.3


Component Test

Thoroughly Test Your Broadcast Radio Receivers and Components

Receiver testing

For Broadcast Radio receiver development, Signal Studio for Broadcast Radio provides flexibility in signal configuration, enabling you to create the analog and digital FM signals as well as RDS test stimuli needed to perform measurements throughout the design process. RDS functions such as EON, TP, TA, PTY, PS, AF, CT, RT can be tested. Also, the parameters of receivers can be measured by altering RF output frequencies and output levels.

Signal Studio for Broadcast Radio also provides flexibility in configuring DAB\DAB+ signals. Demo file is provided for typical DAB\DAB+ receiver test, and Test Pattern is adopted for BER test.

Component testing

Quickly and easily characterize your components using customized FM stereo/RDS or DAB\DAB+ waveforms. Signal Studio for Broadcast Radio generates spectrally correct FM stereo/RDS and DAB\DAB+ signals, enabling you to measure frequency accuracy, linearity, and power efficiency of amplifiers and other components, which greatly facilitates the manufacturing, quality assurance, and maintenance of products .

Expand your test capability with Agilent Baseband Studio products

  • Add channel impairments to your FM Stereo/RDS signal with the Agilent N5115B Baseband Studio for fading solution (E4438C ESG only).

  • Access digital IQ and digital IF test signals with the Agilent N5102A Baseband Studio digital signal interface module (E4438C ESG only)


Performance Characteristics

Performance Characteristics1

Results are provided only for analog mode in RDS format.

Deviation accuracy2 is < 0.5 % of FM deviation

• Condition: 1KHz rate, deviation = 75KHz

The Distortion2 is < 0.5 %.

• Condition: 1KHz rate, deviation = 75KHz

1. Performance characteristics measurements are made under this test condition: Pilot: Pilot = OFF, Audio Source Pattern: L=R, RDS: Rds =OFF.

2. Non-warranted value based on testing during development phase of this product.


Recommended Configuration

MXG ATE Systems1
N7611B with the following options:
N7611B-3FP1 | License: N5162A MXG ATE
N7611B-QFP4 | Advanced FM Stereos/RDS
N7611B-RFP4 | Advanced DAB
N5162A with the following options:
N5162A-506 (or N5162A-503) | Frequency range from 250 kHz to 6 GHz (or 3 GHz)
N5162A-652 (or N5162A-654) | Internal baseband generator, 60 MSamples/s (or 125 MSamples/s), 8 MSamples waveform memory
N5162A-019 | Increase baseband generator memory to 64 MSamples (recommended)
N5162A-403 | Calibrated noise personality, required for C/N capability, recommended
N5162A-UNV | Enhanced dynamic range
MXG Systems2
N7611B with the following options:
N7611B-3FP2 | License: N5182A MXG
N7611B-QFP4 | Advanced FM Stereos/RDS
N7611B-RFP4 | Advanced DAB
N5182A with the following options:
N5182A-506 (or N5182A-503) | Frequency range from 250 kHz to 6 GHz (or 3 GHz)
N5182A-652 (or N5182A-654) | Internal baseband generator, 60 MSamples/s (or 125 MSamples/s), 8 MSamples waveform memory
N5182A-019 | Increase baseband generator memory to 64 MSamples (recommended)
N5182A-403 | Calibrated noise personality, required for C/N capability, recommended
N5182A-UNV | Enhanced dynamic range
ESG Systems3
N7611B with the following options:
N7611B-1FP3 | License: E4438C ESG
N7611B-QFP4 | Advanced FM Stereos/RDS
N7611B-RFP4 | Advanced DAB
E4438C with the following options:
E4438C-5065 | Frequency range from 250 kHz to 6 GHz (or 3 GHz)
E4438C-6026 | Internal baseband generator, 64 MSamples memory
E4438C-UNJ | Enhanced phase noise performance, recommended
E4438C-403 | Calibrated noise personality, required for C/N capability, recommended
E4438C-005 | 6 GB internal hard drive
1. Requires MXG ATE firmware revision A.01.40 or later. 2. Requires MXG firmware revision A.01.10 or later. 3. Requires ESG firmware revision C.04.84 or later. 4. Required in addition to N7611B-1FP or N7611B-3FP. 5. Option 506 also requires Option UNJ, enhanced phase noise. Other frequency range options may also be used. 6. Recommended option. The baseband generator option can be any of the following: E4438C-001, -002, -601, -602.

Minimum PC Requirements

1.4 GHz Pentium ® III or higher (2 GHz recommended)

512 MB of memory or higher (1 GB recommended)

1 GB free disk space at runtime (5 GB or higher recommended)

Windows ® XP (with service pack 1 or greater) or Windows ® 2000 Professional (with service pack 4 or greater) or Windows ® Vista Business, Ultimate, or Enterprise

Minimum 800 x 600 screen resolution with normal font size (1024 x 768 or larger recommended)

Microsoft ® Internet Explorer 5.01 or later

Microsoft .NET Framework 1.1 (service pack 1 or later)

Agilent License Manager

Agilent IO Libraries Suite (version M.01.01 or later)

Installed GPIB interface card, LAN interface card, or USB/GPIB interface connector

--------------------------------------------------------------------------------

Pentium is a U.S. registered trademark of Intel Corporation.
Windows and MS Windows are U.S. registered trademarks of Microsoft Corporation.
Microsoft is a U.S. registered trademark of Microsoft Corporation.


API

Application Programming Interface (API)

The Microsoft .NET-based application programming interface (API) is provided to enable systematic and efficient configuration of complex broadcast radio waveforms. It allows programmatic setting of signal parameters by importing custom data sets or using programming loops and mathematical functions rather than manually entering data in the Signal Studio graphical user interface. The entire signal configuration and playback process can easily be automated in your own programming environment using the API. Included with the software is a full API. Use the API to set parameters either programmatically or by using an API graphical user interface. The API's built-in Help System provides programming examples that you can easily leverage.


Additional Information

Signal Creation Products

For more information about Signal Studio software and Baseband Studio products including release notes, user interface descriptions, tutorials, and installation information, read the online documentation at the following websites:

Signal Studio Software
www.agilent.com/find/signalstudio

Baseband Studio Software
www.agilent.com/find/basebandstudio

Related Literature

Agilent MXG Signal Generators, Brochure, Literature number 5989-5074EN

Agilent MXG and MXG ATE Vector Signal Generator, Data Sheet, Literature number 5989-5261EN

Agilent MXG Signal Generators, Configuration Guide, Literature number 5989-5485EN

Agilent E4438C Vector Signal Generator, Brochure, Literature number 5988-3935EN

Agilent E4438C Vector Signal Generator, Data Sheet, Literature number 5988-4039EN

Agilent E4438C Vector Signal Generator, Configuration Guide, Literature number 5988-4085EN

Agilent ESG Series Signal Generator literature http://www.agilent.com/find/esg

Agilent MXG Series Signal Generator literature http://www.agilent.com/find/mxg

Remove all doubt

Our repair and calibration services will get your equipment back to you, performing like new, when promised. You will get full value out of your Agilent equipment throughout its lifetime. Your equipment will be serviced by Agilent-trained technicians using the latest factory calibration procedures, automated repair diagnostics and genuine parts. You will always have the utmost confidence in your measurements.

Agilent offers a wide range of additional expert test and measurement services for your equipment, including initial start-up assistance, onsite education and training, as well as design, system integration, and project management.

For more information on repair and calibration services, go to

www.agilent.com/find/removealldoubt

www.agilent.com/find/emailupdates

Get the latest information on the products and applications you select.

Contacting Agilent Technologies

For more information on Agilent Technologies’ products, applications or services, please contact your local Agilent office. The complete list is available at:
www.agilent.com/find/contactus

Americas Canada Latin America United States Asia Pacific Australia China Hong Kong India Japan Korea Malaysia Singapore Taiwan Thailand | (877) 894 4414 305 269 7500 (800) 829-4444 1 800 629 485 800 810 0189 800 938 693 1 800 112 929 0120 (421) 345 080 769 0800 1 800 888 848 1 800 375 8100 0800 047 866 1 800 226 008 | Europe & Middle East Austria Belgium Denmark Finland France Germany Ireland Israel Italy Netherlands Spain Sweden Switzerland (French) Switzerland (German) United Kingdom | 0820 87 44 11 32 (0) 2 404 93 40 45 70 13 15 15 358 (0) 10 855 2100 0825 010 700* *0.125 € fixed network rates 01805 24 6333** **0.14 € / minute 1890 924 204 972-3-9288-504/544 39 02 92 60 8 484 31 (0) 20 547 2111 34 (91) 631 3300 0200-88 22 55 41 (21) 8113811 (Option 2) 0800 80 53 53 (Option 1) 44 (0) 118 9276201
 |  | Other European Countries: http://www.agilent.com/find/contactus Revised: October 24, 2007

Product specifications and descriptions in this document subject to change without notice.

© Agilent Technologies, Inc. 2007–2009


Installation

From the Internet

If you are downloading and installing the software from the Internet, do the following:

1. | System Requirements | Verify that the signal generator and PC meet the requirements.
2. | Installing .NET Framework | Download and install the .NET framework (version 1.1, service pack 1 or later) onto your PC.
3. | Installing Agilent IO Libraries | Download and install the Agilent IO Libraries (version M.01.01 or later) onto your PC.
4. | Installing the Agilent License Manager | Install the Agilent License Manager.
5. | Installing Signal Studio Software | Download and install the Signal Studio software.
6. | Equipment Setup and Connection | Determine the IO interface, configure the equipment and connect the PC.
7. | Connection Test | Check that the software communicates with the signal generator.

From the Signal Studio CD-ROM

The Signal Studio CD-ROM automates much of the installation process. To install the software from the CD-ROM, do the following:

  1. Perform step 1 above.

  2. Insert the CD-ROM and follow the prompts.

  3. Perform step 5 and 6 above.

Related Topics

Licensing


requirements

Step 1 - System Requirements

Installation Steps : 1 2 3 4 5 6 7

Hardware Requirements

Instruments

Requirements

N5162A MXG ATE
Vector Signal Generator

Firmware revision A.01.40 or later ( how to upgrade)

N7611B Signal Studio for Broadcast Radio

License for N7611B (see Licensing topic)

One of the following baseband generator options:

  • N5162A- 651 (30 MSample/s internal baseband generator with 8 MSa memory)

  • N5162A -652 (60 MSample/s internal baseband generator with 8 MSa memory)

  • N5162A -654 (125 MSample/s internal baseband generator with 8 MSa memory, recommended)

N5162A-UNV (enhanced dynamic range, recommended)

N5162A-403 (calibrated real-time noise, required for C/N capability, recommended)

N5162A-019 (Increase Baseband Generator Memory to 64MSa, recommended)

N5162A-506 (250 kHz to 6 GHz frequency range, recommended)

N5182A MXG
Vector Signal Generator

(For more information see the Configuration Guide.)

Firmware revision A.01.20 or later ( how to upgrade)

N7611B Signal Studio for Broadcast Radio

License for N7611B (see Licensing topic)

One of the following baseband generator options:

  • N5182A- 651 (30 MSample/s internal baseband generator with 8 MSa memory)

  • N5182A -652 (60 MSample/s internal baseband generator with 8 MSa memory)

  • N5182A -654 (125 MSample/s internal baseband generator with 8 MSa memory, recommended)

N5182A-UNV (enhanced dynamic range, recommended)

N5182A-403 (calibrated real-time noise, required for C/N capability, recommended)

N5182A-019 (Increase Baseband Generator Memory to 64MSa, recommended)

N5182A-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C ESG
Vector Signal Generator

(For more information see the Configuration Guide.)

Firmware revision C.04.95 or later ( how to upgrade)

N7611B Signal Studio for Broadcast Radio

License for N7611B (see Licensing topic)

One of the following baseband generator options:

  • E4438C-001 (internal baseband generator with 8 Msample memory)

  • E4438C-002 (internal baseband generator with 32 Msample memory)

  • E4438C-601 (internal baseband generator with 8 Msample memory and digital bus capability)

  • E4438C-602 (internal baseband generator with 64 Msample memory and digital bus capability, recommended)

E4438C-005 (6 GB internal hard drive, recommended)

E4438C-403 (calibrated noise personality, required for C/N capability, recommended)

E4438C-506 (250 kHz to 6 GHz frequency range, recommended)

E4438C-UNJ (enhanced phase noise performance, required with E4438C-506)

PC Requirements

2.4 GHz Pentium ® 4 or higher (recommended)

Minimum 512 MB or higher required (total virtual memory 768 MB required, 1.5 GB recommended)

1.2 GB free disk space at runtime

Minimum 800 x 600 screen resolution (1024 x 768 recommended)

Windows ® Vista Business, Windows ® Vista Ultimate, or Windows ® Vista Enterprise:

  • Microsoft .NET Framework 2.01 or later (installed in Step 2)

  • Agilent IO Libraries Suite 15.0 or later (installed in Step 3)

  • Agilent License Manager (installed in Step 4)

  • Microsoft ® Internet Explorer (7.0 or later)

  • 128 MB graphics memory with DirectX® 9 graphics support

Windows ® XP Professional (service pack 1 or later), Windows ® 2000 (service pack 4 or later):

  • Microsoft ® Internet Explorer (5.01 or later, 6.0 recommended)

  • Microsoft .NET Framework, version 1.1, service pack 1 or later (installed in Step 2)

  • Agilent IO Libraries, version M.01.01 or later (installed in Step 3)

  • Agilent License Manager (installed in Step 4)

Installed GPIB IO interface card, LAN interface card, or USB/GPIB interface connector

Pentium is a U.S. registered trademark of Intel Corporation.

Windows and MS Windows are U.S. registered trademarks of Microsoft Corporation.

Microsoft is a U.S. registered trademark of Microsoft Corporation.

Adobe, the Adobe Logo, Acrobat and the Acrobat Logo are trademarks of Adobe Systems Incorporated.


.NET Framework

Step 2 - Downloading and Installing the .NET Framework

Installation Steps : 1 2 3 4 5 6 7

.NET Framework Version 2.0 or later is installed by default with Windows® Vista.

Ensure you have Microsoft .NET Framework Version 1.1 (service pack 1 or later) or .NET Framework Version 2.0, installed on your PC. If it is already installed, proceed to Installation Step 3. If it is not installed, do the following:

  1. Go to: http://msdn2.microsoft.com/en-us/downloads/

  2. Click .NET Framework Version 1.1 Redistributable Package or .NET Framework 2.0 Redistributable Package to take you to the download page.

  3. Click Download.

If you get a security exception message when you try to open the software, you can adjust security permissions on your PC using the steps below. Consult your system administrator if this does not resolve the problem.

Security Setting for .NET Framework

To adjust the security setting:

  1. From your PC's Control Panel, double-click Administrative Tools

  2. Double-click the .NET Configuration you want to change.

  3. In the tree view of the .NET Configuration window, expand the following selections by clicking the [image] box:

Runtime Security Policy > Machine > Code Groups > All_Code.

  4. If the .NET Framework is installed on a shared network drive, click LocalIntranet_Zone.

    If the .NET Framework is installed on your C:\ drive click My_Computer_Zone.

  5. In the Tasks box (property pane), click Edit Code Group Properties.

  6. Select the Permission Set tab.

  7. From the Permission set drop-down list, select Full Trust.

  8. Click Apply > OK and close the windows.


Agilent IO Libraries

Step 3 - Downloading and Installing the Agilent IO Libraries Suite

Installation Steps : 1 2 3 4 5 6 7

Windows® Vista operating system requires Agilent IO Libraries version 15.0 or later.

Select the appropriate instructions, below:

1. Agilent IO Libraries Version M.01.01 or Later Are Installed

If you already have Agilent IO Libraries Version M.01.01 or later installed on your PC, check that the IO libraries are properly configured for your IO interface connection. (Refer to the IO libraries online help for assistance.)

2. IO Libraries Are Not Installed

The Agilent IO libraries provide the function calls that enable the PC to properly communicate with instruments. The documentation provided with the IO libraries suite comes in two types: PDF files that you access through your Start menu and the online help. If you experience GPIB connectivity problems, see Interface Problems in the Troubleshooting section.

If you are using GPIB, this procedure assumes that you have installed and configured a GPIB card.

  1. Download the Agilent IO Libraries Suite from the following Agilent website free of charge : http://www.agilent.com/find/iolib.

After installing the IO Libraries Suite, the Agilent Connection Expert utility should automatically start. In addition, the IO libraries install an Agilent IO Control icon in the Windows notification area on your PC screen.

The Agilent Connection Expert utility automatically detects most interfaces and instruments that are on, and assigns names and other default configuration settings that you can edit. If you need assistance with the connection expert or the I/O libraries installation, refer to the Agilent IO Libraries Suite Getting Started documentation.

You only need to configure the connection in the Connection Expert if you are using GPIB connectivity.

  2. If you require GPIB connectivity and the Agilent Connection Expert does not automatically start, perform the following steps:

  1. Click the Agilent IO Control icon.

  2. Select Agilent Connection Expert from the pop-up menu

  3. Enter in the information necessary to configure the GPIB connection.


Downloading and Installing the Agilent License Manager

4. Downloading and Installing the Agilent License Manager

Installation Steps: 1 2 3 4 5 6 7

You must install a license on the instrument you will use to play the waveforms generated by the Signal Studio software. If you will be using a LAN connection between the PC running the Signal Studio software and your instrument, use the Agilent License Manager to install the Signal Studio license in the instrument.

  1. Download the Agilent License Manager, free of charge, from the following website: http://www.agilent.com/find/licensemanager.

  2. At the prompt, click Run to install the software or click Save to save the software to your hard drive.

To install the software after saving it to your hard drive, perform the following steps:

  1. Double-click the Agilent License Manager executable file.

  2. In the dialog box that appears, click Run and follow the ensuing prompts.

For more information about Signal Studio licenses, see Licensing.

For detailed information about installing Signal Studio licenses, see Installing the License.


Downloading Signal Studio Software

Step 5 - Downloading and Installing Signal Studio Software

Installation Steps: 1 2 3 4 5 6 7

To download the software onto a PC, you must have administrator status. If you receive an access denied message, consult your system administrator for the required permissions.

  1. Click the link below to download the setup file that steps you through the installation process.

Download Now

  2. At the prompt, select Run to install the software.

  • If you are installing the software on a PC, follow the ensuing prompts.

Related Topics

User Permissions
Licensing


Equipment Setup

Equipment Required

  • One 10Base-T cable for the PC and one for each instrument connected to a network LAN

Equipment Setup

Equipment Required

  • One 10Base-T crossover cable for the PC

If connecting more than one instrument:

  • one 10Base-T crossover cable for the PC

  • one 10Base-T cable for each instrument

  • one 10Base-T hub

Equipment Setup

Equipment Required

  • GPIB cable between PC and signal generator.

  • One of the following interfaces configured using the Agilent IO Libraries:

    • GPIB interface card in PC

    • Agilent 82357A USB/GPIB interface connector for USB port

You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Agilent IO Libraries. Refer to the Agilent IO Libraries Suite documentation for more information.

Step 6 - Equipment Setup and Connection

Installation Steps: 1 2 3 4 5 6 7

Connect to ESG or MXG/MXG ATE signal generators

  1. Ensure the signal generator is turned off.

  2. Connect the signal generator to a computer using one of the following methods for instrument control:

  • LAN Network—connect both the signal generator and the computer to an external LAN network using standard LAN cables.

  • Crossover LAN—connect the signal generator directly to the computer using a crossover LAN cable. (You will need to configure your PC.)

  • GPIB—connect the signal generator directly to the computer using a GPIB cable.

Related Topics

Instrument Problems

Interface Problems

Software Problems


Connection Test

Default hostname format:

a-<instrument model number>-<last 5 digits of the instrument serial number>

Example: a-n5162a-12345

Step 7 - Testing the Equipment Connections

Installation Steps: 1 2 3 4 5 6 7

  1. Turn on the instrument and the computer.

  2. Start the Signal Studio software.

  3. Establish communications between the software and the instrument by first selecting New hardware configuration in the Welcome to Agilent Signal Studio for Broadcast Radio dialog box (System Configuration Wizard) that appears.

  4. Select OK and follow the remaining prompts. (Be prepared to enter the instrument's IP/GPIB address.)

  • If you are running Signal Studio on the PXB, use ”localhost” in the Hostname/IP Address field in Step 4 of the System Configuration Wizard.

  • If you are running Signal Studio on a PC connected to the PXB, use the PXB's address (LAN/GPIB) or hostname (LAN only) :

  • hostname: click System > Product Information and view the Machine Name row

  • IP address: click System > Product Information and view the IP Address row

  • GPIB address: click System > GPIB

  • If you are running Signal Studio on a PC connected to a signal generator, refer to the following table to locate the instrument's address (LAN/GPIB) or hostname (LAN only):

Connection

Signal Generator

Key Path

LAN

MXG

MXG ATE (first access the web interface)1

Utility > I/O Config > LAN Setup > Manual Config Settings

ESG

PSG

Utility > GPIB/RS-232 LAN > LAN Setup

GPIB

MXG

MXG ATE (first access the web interface)

Utility > I/O Config > GPIB Setup

ESG

PSG

Utility > GPIB/RS-232 LAN > GPIB Address

  1. Signal Studio accepts either the LAN address or hostname. So if you want to use the hostname, just enter the hostname into the software's Hostname/IP Address field. There is no need to access the web interface unless there is a need for the IP address. The MXG ATE ships with a predetermined default hostname.

If the connection fails or for help with error messages, refer to Troubleshooting.

After making the connection, you can view the instrument's information by selecting Hardware in the tree view

  5. Install the software license:

  • To learn about the different licenses, see Licensing.

  • To install the license, see Installing the License.

Related Topic

Run Self-test
Test IO Connections


Licensing

To play waveforms created with this Signal Studio software, a valid license must be installed on your instrument. Several flexible license configurations are available to meet your specific testing needs.

Use the following tools to ensure that you obtain the type of license that works best for you:

  • Use the Signal Studio Configuration Assistant to explore the available license configurations for this Signal Studio product.

  • Use the Getting a License flow chart to learn how to obtain and install a license.

  • Obtain a free trial license to evaluate all of the capabilities of the Signal Studio software for a limited time.

Related Licensing Topics

Moving a Transportable License

Viewing the Remaining Time on a License

Managing Licenses Using the Signal Studio GUI

Waveform Licensing


Signal Studio Configuration Assistant

The Signal Studio Configuration Assistant is a utility that helps you create a list of capability options that best fit your needs. Use this list when you are ready to contact Agilent to purchase a license. Using this utility does not place an order, so you can use it repeatedly to explore different capability options.

Launch the Configuration Assistant


Getting a License

The flowchart below illustrates the process for obtaining a Signal Studio software license and installing it in your instrument. Click a block in the flowchart for details on that step of the process.


Installing the License

Your Signal Studio software license file (*.lic) is a text file that is attached to the email message you receive when you redeem your license. The license file is specific to the target instrument’s model and serial number. To view license installation instructions, click the link below for the target instrument you are using.

Before installing the license file, save a backup copy in a safe place.

  • Agilent N5162A MXG ATE Signal Generator

  • Agilent N5182A MXG Signal Generator

  • Agilent E4438C ESG Signal Generator


Installing a License in an MXG Signal Generator

Printable Version

Installing the License in an MXG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To enable your MXG signal generator to play waveforms generated by the Signal Studio software, you must install a license file in the signal generator. Agilent sends you the license file by email when you redeem your license. To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Agilent License Manager.

  • For GPIB connection between PC and signal generator, see Using a USB Storage Device.

Using Agilent License Manager

The Agilent License Manager software requires a LAN connection between the PC on which it is installed and the MXG signal generator. If your equipment cannot be connected through a LAN, install the license using a USB storage device.

  1. If you do not have Agilent License Manager installed on your PC, you can download it at no charge from the following website: http://www.agilent.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the MXG signal generator as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license (see Getting a License). In this example, the license file N5182A-US70000628.lic is placed in a folder named N5182A.

  4. Obtain the hostname or IP address of your signal generator. Press Utility > I/O Config > LAN Setup on the signal generator front panel. The hostname and IP address are displayed as shown below.

  5. On your PC, start the Agilent License Manager software. Click Start > All Programs > Agilent License Manager > Agilent License Manager.

  6. In the Agilent License Manager main window, click File > Connect... to open the Connect to Device dialog box.

  7. In the Device Address field, enter either the hostname or the IP address of the signal generator obtained in Step 4.

  8. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the drop-down figure.)

  9. Click File > Install License(s)... to open the Install License File(s) dialog box.

  10. Use the Install License File(s) dialog box to navigate to the location where you placed the license file (*.lic) in Step 3.

  11. Select the desired license file and click Open.

  12. Wait for a message to appear, informing you that the license has been successfully installed in the signal generator.

Refer to the Agilent License Manager online help for more information about using the software.

Using a USB Storage Device

If you are unable to establish a LAN connection between your PC and your MXG signal generator, you can manually install the license using a USB storage device.

  1. Copy the license file to a supported USB storage device. The license file is attached to the email message you received when you redeemed your license (see Getting a License).

For a list of supported USB storage devices, go to the following website and enter "MXG compatible USB" in the search window.
http://www.agilent.com/find/mxg

  2. Insert the storage device into the USB slot on the front panel of the MXG signal generator.

  3. Rotate the front panel knob to highlight the license file (*.lic).

  4. Press the Select key to copy the file to the signal generator's memory.

  5. Cycle the signal generator power.


Installing a License in an MXG ATE Signal Generator

Printable Version

Installing the License in an MXG ATE Signal Generator

Before installing the license file, save a backup copy in a safe place.

To enable your MXG ATE signal generator to play waveforms generated by the Signal Studio software, you must install a license file in the signal generator. Agilent sends you the license file by email when you redeem your license. To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Agilent License Manager.

  • For GPIB connection between PC and signal generator, see Using a USB Storage Device.

Using Agilent License Manager

The Agilent License Manager software requires a LAN connection between the PC on which it is installed and the MXG ATE signal generator. If your equipment cannot be connected through a LAN, install the license using a USB storage device.

  1. If you do not have Agilent License Manager installed on your PC, you can download it at no charge from the following website: http://www.agilent.com/find/licensemanager.

  2. Establish a LAN connection between the PC and the MXG signal generator as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the email message you received when you redeemed your license (see Getting a License). In this example, the license file N5162A-US70000628.lic is placed in a folder named N5162A.

  4. On your PC, start the Agilent License Manager software. Click Start > All Programs > Agilent License Manager > Agilent License Manager.

  5. In the Agilent License Manager main window, click File > Connect... to open the Connect to Device dialog box.

  7. In the Device Address field, enter either the hostname of the signal generator. The MXG ATE ships with a predetermined default hostname, using this format:

    a-<instrument model number>-<last 5 digits of the instrument serial number>

    Example: a-n5162a-12345

  8. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the drop-down figure.)

  9. Click File > Install License(s)... to open the Install License File(s) dialog box.

  10. Use the Install License File(s) dialog box to navigate to the location where you placed the license file (*.lic) in Step 3.

  11. Select the desired license file and click Open.

  12. Wait for a message to appear, informing you that the license has been successfully installed in the signal generator.

Refer to the Agilent License Manager online help for more information about using the software.

Using a USB Storage Device

If you are unable to establish a LAN connection between your PC and your MXG ATE signal generator, you can manually install the license using a USB storage device.

  1. Copy the license file to a supported USB storage device. The license file is attached to the email message you received when you redeemed your license (see Getting a License).

For a list of supported USB storage devices, go to the following website and enter "MXG compatible USB" in the search window.
http://www.agilent.com/find/mxg

  2. Insert the storage device into the USB slot on the front panel of the MXG signal generator.

  3. Access the MXG ATE signal generator's web interface.

  4. Click the arrow keys to highlight the license file (*.lic). You may need to refresh your internet browser to view the list of files.

  5. Press the Select key to copy the file to the signal generator's memory.

  6. Cycle the signal generator power.


Installing a License in an ESG Signal Generator

Printable Version

Installing the License in an ESG Signal Generator

Before installing the license file, save a backup copy in a safe place.

To enable your ESG signal generator to play waveforms generated by the Signal Studio software, you must install a license file in the signal generator. Agilent sends you the license file by email when you redeem your license. To install the license file in your signal generator, follow the procedure below for your connection type.

  • For LAN connection between PC and signal generator, see Using Agilent License Manager.

  • For GPIB connection between PC and signal generator, see Using GPIB and SCPI Commands.

Using Agilent License Manager

The Agilent License Manager software requires a LAN connection between the PC on which it is installed and the ESG signal generator. If your equipment cannot be connected through a LAN, install the license using a GPIB connection and SCPI commands.

  1. If you do not have Agilent License Manager installed on your PC, you can download it at no charge from the following website: http://www.agilent.com/find/licensemanager.

  2. Establish a LAN connection between the PC running the Agilent License Manager software and the ESG signal generator as described in Equipment Setup and Connection.

  3. Copy the license file to your PC. The license file has a .lic extension, and is attached to the E-mail message you received when you redeemed your license (see Getting a License). In this example, the license file E4438C-US70000174.lic is placed in a folder named E4438C.

  4. Obtain the hostname or IP address of your signal generator. Press Utility > GPIB/RS-232 LAN > LAN Setup on the signal generator front panel. The hostname and IP address are displayed as shown below.

  5. On your PC, start the Agilent License Manager software. Click Start > All Programs > Agilent License Manager > Agilent License Manager.

  6. In the Agilent License Manager main window, click File > Connect... to open the Connect to Device dialog box.

  7. In the Device Address field, enter either the hostname or the IP address of the signal generator obtained in Step 4.

  8. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the drop-down figure.)

  8. Click File > Install License(s)... to open the Install License File(s) dialog box.

  9. Use the Install License File(s) dialog box to navigate to the location where you placed the license file (*.lic) in Step 3.

  10. Select the desired license file and click Open.

  11. Wait for a message to appear, informing you that the license has been successfully installed in the signal generator.

Refer to the Agilent License Manager online help for more information about using the software.

Using GPIB and SCPI Commands

If you are unable to establish a LAN connection between your PC and your ESG signal generator, you can manually install the license using a GPIB or RS-232 connection and the Agilent Connection Expert software (or another command line tool).

This method can be used for permanent and time-based licenses only. To install or move a transportable license, you must use the Agilent License Manager software on a PC connected to your ESG through a LAN.

  1. Copy the license file to your PC. The license file is attached to the email message your received when you redeemed your license (see Getting a License).

  2. On your PC, start the Agilent Connection Expert software. Click Start > All Programs > Agilent IO Libraries Suite > Agilent Connection Expert. If you do not have Agilent IO Libraries Suite installed on your PC, you can download it from the following website: http://www.agilent.com/find/iolib.

If you are not using Agilent Connection Expert, start your command line tool and proceed to step 6.

  3. In the Instrument IO on this PC tree view, select the E4438C ESG signal generator connected via GPIB.

  4. If the Task Guide view is not enabled, select View > Task Guide.

  5. In the Tasks for This Instrument column, click Send Commands to this Instrument to open the Agilent Interactive IO window.

  6. Open the license file you copied to your PC in Step 1 using Microsoft® Notepad, or a similar text editor that creates plain, ASCII text files. Do not use a word processor such as Microsoft® Word.

  7. Using the text editor, select and copy the license file text.

  8. Type the following SCPI command into the Command: field in the Agilent Interactive IO window, pasting the license file text you copied in Step 7 at the <license_line> location in the command.

    :SYST:LIC:INST    "<license_line>"

  9. Click the Send Command button to send the command, or the Send & Read button to send the command and read the response in the Instrument Session History displayed at the bottom of the window.


Moving a Transportable License

A transportable license can be moved from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. To move a transportable license to another instrument, perform the following procedure:

  1. Make sure the source (currently licensed) instrument and the target instrument are connected to the LAN.

  2. Open the Agilent License Manager software. If you do not have the Agilent License Manager installed on your PC, download it from the following website: http://www.agilent.com/find/licensemanager.

  3. Click File > Connect.... to open the Connect to Device dialog box.

  4. In the Device Address field, enter either the hostname or the IP address of the source instrument.

  5. Click OK. The instrument hostname/address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license. (See the drop-down figure.)

  6. Repeat steps 3 through 5 for the target instrument.

  7. In the tree view, expand the Installed Licenses node of the source instrument. All the licenses used by that instrument are displayed.

  8. From this list of licenses, find all the capability and connectivity licenses associated with the software model you want to move.

  9. Drag and drop each of these licenses to the hostname/address node of the target instrument.

Refer to the Agilent License Manager help system for more information.


Viewing the Remaining Time on a License

The instructions below apply only to Agilent MXG, MXG ATE, ESG, and PSG signal generators. To view license information for Agilent 16800/16900 logic analyzers or the Agilent N8300A WiNet test set, refer to the documentation for those instruments.

Use any of the following methods to view the time remaining on a time-based license or a trial license on your Agilent signal generator.

From the Signal Generator Front Panel

  1. Use the appropriate key-press sequence for your instrument model:
    MXG: Local > Utility > Instrument Info > Options Info > Instrument Options
    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  2. Look at the Expiration column for the number of remaining days.

  3. The signal generator shows EXPIRED when there is no time remaining.

From an Internet Browser

  1. On your PC, open an internet browser.

  2. In the Address field, enter either the hostname or the IP address of the signal generator.

    The MXG ATE ships with a predetermined default hostname, using this format:

    a-<instrument model number>-<last 5 digits of the instrument serial number>

    Example: a-n5162a-12345

  3. Press Enter on the keyboard. The signal generator's web page appears.

  4. On the left side of the web page, click Signal Generator Web Control. At this point, you may be prompted to enter a password. For more information on setting the password, refer to the signal generator's Programming Guide.

  5. A graphical signal generator front panel should appear.

  6. Click the appropriate key-press sequence for your instrument model:
    MXG/MXG ATE: Local > Utility > Instrument Info > Options Info > Instrument Options
    ESG/PSG: Utility > Instrument Adjustments > Instrument Options > External Software Licenses

  7. Look at the Expiration column for the number of remaining days.

  8. The signal generator shows EXPIRED when there is no time remaining.

From the Agilent License Manager

  1. On your PC, open the Agilent License Manager. If you do not have the Agilent License Manager installed on your PC, download it at http://www.agilent.com/find/licensemanager.

  2. Click File > Connect.... A dialog box appears.

  3. In the Device Address field, enter either the hostname or the IP address of the signal generator.

  4. Click OK. The instrument address and its installed licenses appear in the tree view (left pane). The right pane displays additional information for each license, including the Expiration Date.


Waveform Licensing

Waveform Licensing 5-Pack and 50-Pack

Waveform licensing is a cost-effective solution that lets you license individual waveforms rather than the Signal Studio software. Download any of the N76xxB Arb-based Signal Studio waveform creation software products to create and permanently license up to 545 waveforms to meet your specific test requirements. The latest instrument firmware enables you to evaluate the waveforms for up to 48 hours before choosing the ones you want to keep. Waveform licensing is available for the following signal generator models:

  • E4438C ESG

  • N5162A MXG ATE

  • N5182A MXG

Waveform licensing 5-pack and 50-pack are not available for the E8267D PSG and N5106A PXB.

Waveform licensing 5-pack consists of nine different option numbers (Options 221–229). Each option number provides the ability to license up to five Signal Studio waveforms, one waveform for each of the five available slots per option number. By ordering all nine options, you can store a total of 45 Signal Studio waveforms.

Waveform licensing 50-pack consists of ten option numbers (Options 250–259). Each option number provides the ability to license up to 50 Signal Studio waveforms, one waveform for each of the 50 available slots per option number. By ordering all ten options, you can store a total of 500 Signal Studio waveforms.

With the latest instrument firmware (see details below), each waveform slot provides a 48-hour trial period to access the full functionality of all N76xxB Arb-based Signal Studio waveform creation software for the purpose of creating and evaluating an unlimited number of Agilent validated, performance optimized waveforms.

Getting a License

Waveform licensing 5-pack and 50-pack are available by contacting Agilent. With each order, you will receive a license:

  • Option 22x—This license allows you to assign 5 waveforms to your signal generator for permanent playback.

  • Option 25x—This license lets you assign 50 waveforms to your signal generator for permanent playback.

Assign waveforms to the 5-pack or 50-pack options using the waveform licensing management functions on your signal generator. For information on the waveform licensing management functions, refer to the signal generator's User Guide.

When ordering multiple waveform licenses of either 5-pack or 50-pack, be sure to use different option numbers; the same option cannot be licensed to a signal generator more than once. For example, to order two licenses for either license type:

  • 5-pack—order 221 and 222, not two 221 licenses (the option numbers range from 221 to 229)

  • 50-pack—order 250 and 251, not two 250 licenses (the option numbers range from 250 to 259)

Firmware Requirements

Waveform Licensing 5-Pack and 50-Pack—48-Hour Trial Period

The waveform trial period begins at the time of adding the waveform to the license pack. During the waveform trial period, it can be played, cleared, or replaced with another waveform.

  • N5162A firmware A.01.50 or later (February 2009)

  • N5182A firmware A.01.50 or later (February 2009)

  • E4438C firmware C.05.23 or later (February 2009)

Waveform Licensing 5-Pack—No Trial Period

With the earlier firmware, a waveform added to the license pack cannot be cleared or replaced with another waveform.

  • N5162A firmware A.01.40 (June 2008) to A.01.45 (February 2009)

  • N5182A firmware A.01.20 (March 2007) to A.01.45 (February 2009)

  • E4438C firmware C.04.95 (June 2007) to C.04.98 (January 2009)

Redeeming a License

The following steps outline the process for redeeming a license:

  1. Receive the Entitlement Certificate

  2. Go to the Agilent Software License Redemption web page

  3. Receive Redemption Email and Install the License files


Using the Software

Tutorials | Provides RDS information Measurement, analog FM calibrations, FM Stereo Signal Generation and Receiver test for DAB Signals examples.
User Interface | Describes the features of the software including FM Stereo, RDS and signal configuration parameters, signal generator settings, and frame configuration parameters.
API Control | Provides information on using the Microsoft® .NET-based application programming interface (API).
Troubleshooting | Gives help on software, interface, and instrument problems.


Tutorials

Receiver test for FM Stereo and RDS

This procedure shows you how to set up the equipment and configure the N7611B Signal Studio for Broadcast Radio software to create an FM Stereo/RDS waveform for RDS receiver test applications.

Analog FM Calibration

This procedure shows how to performance an analog FM Calibration.

FM Stereo Signal Generation

This procedure helps to understand the FM stereo signals under different carrier parameter signals.

Receiver test for DAB Signal

This procedure shows you how to set up the equipment and configure the N7611B Signal Studio for Broadcast Radio software to create an DAB waveform for DAB receiver test applications.


FM Stereo Measurement

Receiver test for FM Stereos and RDS

The following example procedure shows you how to configure the equipment and Signal Studio software for a typical RDS information receiver test.

In parameter view windows, you can check [image] and then click the desired parameter for a brief description.

1. Set up the equipment as shown below.

2. Select the FM Stereo/RDS format.

Open the software and select FM Stereo/RDS from the Format menu.

3. Configure the carrier parameters.

Select Carrier 0 from the tree view.

This opens four tables of carrier parameters you can set for that carrier. If your test setup requires multiple carriers, click [image] to create up to 11 additional carriers.

Set up the following parameters of each carrier to the values shown below.

    • FM Deviation: 75.00kHz

    • Pilot Frequency: 19.000kHz

    • Stereo Frequency: 38.000kHz

    • RDS Frequency: 57.000kHz

4. Click RDS in the tree view, and perform the following steps for each carrier.

  1. Enter the PI Code Value, which is the 16-bits programme identification code.

  2. Select the Programme Type (PTY).

5. Configure the RDS Message.

    1. Click Basic tuning and switching information and configure the following parameters in the message table, as shown below.

      • Interval: 0.0s

      • Music/Speech: Music

      • Programme Service Name: This example shows RDS Test.

      • Alternative Frequency State: On

      • Alternative Frequencies: your choice

    2. Click Programme Item Number and slow labeling codes and configure the parameters in the message table as desired.

    3. Click on Radio Text and input a text string of your choice. This example shows Radio Text. If you would like to import a text file, do the following:

      1. Click [image] , a drop-down menu appears.

      2. Select Radio Text messages from text file. A dialog box appears.

      3. Click Browse to navigate to the .txt file of your choice. You can also specify the Group Version, Maximum Number of Messages and Interval (s)

    4. Click Clock-time and date cell, and select the Modified Julian Day. This example shows 08-08, 2008.

    5. Click UTC Hour and UTC Minute cell, and select the time. This example shows 00:00.

Rerun this step for flexible RDS receiver tests with different configurations (tests at different levels).

6. Configure the signal generator settings.

Click the Signal Generator in the tree view and set the ESG/MXG/MXG ATE’s frequency and amplitude to the values below.

    • Frequency: 98.000 000 000 MHz

    • Amplitude: -30.00 dBm

7. Generate and download the waveform to the ESG/MXG/MXG ATE.

  1. From the tool bar, Click [image] to generate the waveform .

  2. Observe the message area of the status bar to track waveform generation progress.

  3. If you want to generate and download the waveform at the same time, click [image] to complete generating and downloading.

8. Evaluate the RDS messages on the receiver.

The RDS information is displayed on the RDS receiver, as shown below:

    • Programme Service Name: RDS Test

    • Radio Text: Radio Text

    • Programme Type (PTY) : news

    • Modified Julian Day: 08-08, 2008

    • UTC Minute: 0

    • UTC Hour: 0


FM analog Calibration

Analog FM Calibration

The following procedure shows how to make an analog FM Calibration.

1. Set up the equipment as shown below.

For signal generator, only ESG can be used in FM Deviation Calibration.

2. Click on Waveform Setup in the tree view, and configure Carrier attributes in parameter view.

a. FM Scheme: select Analog in the drop-down menu.

b. In the Carrier node, click on the [image] on the right side of FM Deviation, and a FM Deviation Calibration Wizard will pop up.

3. Make sure the instruments connection is ready.

  1. Connect ESG RF OUTPUT to the RF INPUT of Spectrum Analyzer.

  2. Connect EXT 1 INPUT at the front of ESG to the I-OUT at the back of ESG

  3. Connect the ESG 10MHz OUT to the EXT REF IN of Spectrum Analyzer.

4. Measure the Frequency Offset according to the following procedures.

  1. Click the "Calibrate" button, so that a test waveform will be downloaded into the ESG ARB memory.

  2. Measure the frequency offset from the front panel of Spectrum Analyzer, according to the screen capture illustrated above.

    1. Press "Mode" on the front panel of Spectrum Analyzer, and select "Spectrum Analyzer".

    2. Press ”Freq Channel”, select ”Center Frequency”, and enter the value specified, which could be looked up on ESG.

    3. Press ”SPAN X Scale”, and then enter 200 KHz.

    4. Press ”Peak Search”, and record the marker value displayed on the upper right ”Mkr1 ___MHZ”.

    5. Calculate the Frequency Offset Value and enter it into Frequency Offset blank.

(Frequency Offset = Marker Value - Center Freq. Value)

    1. Make sure desired FM Deviation (kHz) is the same as in the Carrier setup GUI, and then click on next.

5. Adjust the FM deviation

  1. Click "Apply" to apply the FM deviation to ESG now.

  2. Click "Finish" to let the settings take effect after waveform download.

The calibrated value may still have small offsets to the desired value.

The fine adjustment could be conducted by either fine tuning the "FM Deviation on ESG" value on this page and applying again or by repeating the whole wizard.


FM Stereo Signal Generation

The following example shows you how to generate FM\Stereo signals with different parameter settings in the Signal Studio software and understand their differences.

  1. Generating signal 1, with the carrier parameter settings listed below.

    • Set the RDS to Off, Pilot to Off

    • Set the Audio Source Pattern to L = R

    • Set the Audio Source to Tone(s), and Left Tone(s) to 1.000 kHz 1.000 V.

The waveform spectrum of Signal 1 is as follows:

  2. Generating signal 2, with the carrier parameter settings listed below.

The waveform spectrum of Signal 2 is shown below:

    • Set Pilot to On

    • Set Normalized to True

    • The other settings remain the same with Signal 1 based on Configuration

:

Notice that a FM signal with pilot(19KHz) has been generated.

  3. Generating signal 3, with the carrier parameter settings listed below.

    • Set Pre-emphasis to 50us

    • Set Normalized to True

    • Set the Audio Source Pattern to L = R

    • Set the Audio Source to Tone(s), and Left Tone(s) to 1.000 kHz 1.000 V.

The waveform spectrum of Signal 3 is shown below:

Comparing signal 2 and 3, it could be derived that when Normalized is True, for single tone, Pre-emphasis has no effect.

For multiple tones signal, Pre-emphasis will change the relative relationship between multiple tones.

  4. Generating signals with the carrier parameter settings listed below. Change Normalized at 15KHz from False to True to compare the results.

    • Set Normalized to False

    • Set Pre-emphasis to 50us

    • Set the Audio Source Pattern to L = R

    • Set the Audio Source to Tone(s), and Left Tone(s) to 1.000 kHz 1.000 V.

The audio signal will pass a filter like shown in the figure below.

Notice that there is a warning message shown as follows:

In this case, please reset FM Deviation or Oversampling ratio.

The waveform spectrum when Normalized at 15KHz is false:

Set Normalized at 15KHz to True:

The Pre-emphasis gain is 0dB at 15kHz. That means the values of y-Axis in the figure will be normalized by 13.66dB.

This case is commonly used because the input range of VCO is limited.


Receiver test for DAB/DAB+

Receiver test for DAB Signals

The following example procedure shows you how to configure the equipment and Signal Studio software for a DAB signal receiver test.

In parameter view windows, you can check [image] and then click the desired parameter for a brief description.

Step 1. Set up the equipment as shown below.

Step 2. Select the DAB standard.

Open the software and select DAB in the Format, shown as follows.

Step 3. Configure the Ensemble parameters.

Select Carrier 0 from the tree view, and then click on Ensemble.

  • Select "Test Signal" as an Ensemble Label.

  • Select "Auto" as FIG Configuration Type. Actually if you select Manual, a dialog will pop up for Fast Information Group Configuration

Step 4. Configure the Service Component 0.

Select Service Component from the tree view, and then click on Service Component 0.

  • Select "Test Component" as an Service Component Label.

  • Select "Demo" as Data Source Type

  • Select "DAB mono 160 kbit/s" as the demo file.

Step 5. Configure the Service 0.

Select "10.Pop Music / Country" as the Programme Type.

Step 6. Configure the signal generator settings.

Click the Signal Generator in the tree view and set the ESG/MXG/MXG ATE’s frequency and amplitude to the values below.

  • Frequency: 229.072MHz

  • Amplitude: -30.00 dBm

Step 7. Generate and download the waveform to the ESG/MXG/MXG ATE.

  • From the tool bar, Click [image] to generate the waveform .

  • Observe the message area of the status bar to track waveform generation progress.

  • If you want to generate and download the waveform at the same time, click [image] to complete generating and downloading.

Step 8. Evaluate the DAB messages on the receiver.

Display Mode | From | Parameters | What displayed on the DAB receiver | Description
Multiplex name | Ensemble label (FIG type 0/10) | Ensemble Label |  | Displaying the Service component label and Ensemble label.
Other Info. | Service label (FIG 1/1) or service component label (Fig 1/4) | Service Label or Service Component Label |  | Displaying the Service Label or Service Component Label
Audio type and bit rate | MP2 file header | In Audio file |  | Displaying the data rate of test component.
Frequency | Signal generator settings | Frequency |  | Displaying the frequency.
Level | Signal Level | Signal Level |  | Displaying the signal Level.
Programme Type | Programme Type (FIG type 0/17) | Programme Type |  | Displaying the programme type.
Scrolling text | MP2 file PADs | In Demo file |  | Displaying the scrolling text contained in the demo file.

Some parameters might not be revealable on certain receivers, such as "Time and date". Therefore a new configuration is initiated as follows, and this time a new receiver is used:

  1. In the above Step 4, change "Service Component Label" to "Label1".

  2. Click on the Ensemble, and select "December 11, 2008" in the drop-down menu as Modified Julian Day

The message is shown as follows:


User Permissions

There are three fundamental levels of security granted to users. They are granted to those users through membership in the Users, Power Users, or Administrators groups. When a person is assigned to the Users group, the default security permissions allotted to this group do not allow them to modify operating system settings or other user's data. However, these user-level permissions occasionally do not allow the user to successfully run some applications. In these instances, the administrator must change the user permissions in the application's installation folder.

In order to install and run the N7611B software in a Windows® operating environment, the software requires that appropriate security permission settings are enabled. If you are not logged onto your PC with the required security permission settings, the software displays an error message when installing the software, or when attempting instrument connection.

The following list identifies the security level access required to install and run the software.

Software Usage

Security Level Required

Install the software

  • Administrator (Administrator Group)

Run the software

  • Administrator (Administrator Group)

  • Standard User (Power User Group)

  • Restricted User (User Group) requires an administrator to reset the permissions (see procedure below).

Develop application with API

  • Administrator (Administrator Group)

Run application with API

  • Administrator (Administrator Group)

  • Standard User (Power User Group)

  • Restricted User (User Group) requires an administrator to reset the permissions (see procedure below).

Before an operator assigned to the Users group can successfully use the N7600B Signal Studio software, the correct permissions must be set in the installation directory. The following steps show you how to change the user permissions for a restricted user.

  1. Using Windows® Explorer, navigate to the Signal Studio installation folder. The default location is:
    C:\Program Files\Agilent\Signal Studio\Broadcast Radio

  2. Select the installation folder Broadcast Radio, then right-click the mouse.

  3. Select Properties from the popup menu.

  4. Choose the Security tab.

  5. Select the user name of the person who will use the Signal Studio application from the Group or user names: list.

  6. In the Permissions for Users section, add a check mark to Modify and Write in the Allow column.

  7. Click Apply > OK to finish setting the user permissions.

Related Topics

Step 5. Installing Signal Studio Software
Software Problems


User Interface

User Interface Basics | provides tips on navigating the user interface.
Menu and Tool Bar | describes the features of the software.
Quick Setup | explains how to save, delete and rename a quick setup.
Waveform Setup | provides information on FM Stereo/RDS parameters for video, audio and packet data service.
Hardware | tells how to configure and display the signal generator settings through the software.


User Interface Basics

Viewing Parameter Descriptions

Working with Cells

Using the Tree View

Resizing Window Panes and Cell Columns

Collapsing and Expanding Tables

Viewing Parameter Descriptions

Check [image] in the upper right corner of a parameter configuration window to display the cell description window, and then click a parameter cell to display a brief description. The initial state is unchecked.

Working with Cells

Discrete Settings

The software interface uses cells (similar to a spread sheet) for configuring various parameters. Some cells have discrete settings; others are arbitrary. For example, RF Output uses discrete settings. You must select from either On or Off.

To change a discrete setting, double-click either the cell with the name of the parameter, or the setting. Each double-click cycles to the next selection. You can also change a setting by clicking the down arrow of the cell and then moving the mouse pointer to click the desired menu selection. Notice that a non-default selection appears in bold.

Arbitrary Settings

Frequency, on the other hand, uses arbitrary settings. You can enter any value within the designed range.

To change an arbitrary setting, double click either the cell with the name of the parameter, or the setting. This highlights the current setting. Enter the new value. You do not need to type "GHz"; the letter "g" is sufficient. The same is true for MHz and kHz.

Using the Tree View

The left pane of the main window is called the tree view. It is useful for navigating between the quick setups, hardware configuration and signal generator settings, and the waveform setups. The right pane of the main window is called the node view. This area enables you to select the project parameters and signal generator settings for displaying the waveform. Selecting an item in the tree view enables the related elements in the parameter view.

Resizing Window Panes and Cell Columns

You can resize window panes and cell columns for better viewing. As you move the mouse pointer over a border, it changes form, indicating that the border can be moved horizontally or vertically. Hold down the left mouse button and drag the border to its new position.

Collapsing and Expanding Tables

To create more viewing space in a window pane, you can collapse selection tables you are not using. Click the minus [image] box next to the title of the table and the table collapses. Click the plus [image] box and it expands again.


Menu Bar and Tool Bar

Select a command from the displayed menus to navigate to a description of the command.

File

New [image] disposes the current settings and sets the software to its initial state using the current hardware configuration. The window name changes to Untitled. Rename and save the new setup as a settings (.scp) file (saving only the software parameters), or as a Quick Setup (saving the current hardware and software parameters).

You must save the current software parameter settings before selecting File > New to prevent the loss of data.

Open Settings File [image] opens a saved settings (.scp) file. Opening a settings file configures only the waveform data parameters for use with the hardware configuration that was present when the settings file was saved. To use a settings file with a different hardware configuration, select Change Hardware Settings, or Run System Configuration Wizard to configure new hardware.

Use Quick Setups to open a saved settings file that includes the hardware connection and software settings.

Save Settings File [image] saves only waveform data settings to a specified settings (.scp) file. Settings files contain function setup information, but do not contain the hardware configuration data. To save a settings file with a specific hardware configuration, select Change Hardware Settings, or Run System Configuration Wizard to configure new hardware. When a file is saved it is added to the top of the Most Recently Used Files list.

Use Quick Setups to save the current hardware configuration with your waveform setup.

The function setup information is saved as part of the settings file (*.scp). If the number of signal generators you connected doesn't match the one saved with the setup file, the software will revert to simulated mode. If the signal generator model you connected doesn't match the one saved with the setup file, the Instrument Model Number under the software tree view Hardware > Signal Generator will be changed to the one in the setup file.

Recommended Practice: After recalling a setup file, click on Hardware > Signal Generator to verify that the instrument model is correct before proceeding.

Export Waveform Data saves an encrypted waveform file (with that .wfm file extension) to your PC. This waveform file can then be downloaded and played in other licensed signal generators or ADS design libraries. If a waveform is configured, but has not been generated, this selection also generates the waveform. You can use a Web browser and the Web-enabled instrument interface to FTP a waveform file into a signal generator. This is a much easier alternative than using programming.

To download a saved waveform to a signal generator, refer to that signal generator's Programming Guide.

Most Recently Used Files displays the four most recent settings files that were either opened with Open... or saved with Save as.... The settings file used most recently is added to the top of the list. Deleting a settings file does not immediately remove it from the list. Selecting a deleted settings file displays an error then removes the file from the list.

Exit stops and closes the software. If you made any waveform setup changes, a dialog box is displayed asking if you want to save the changes as a quick setup before exiting. The close button performs the same function.

To save any hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup parameters.

Return to top

Control

Generate Waveform [image] enables you to generate a waveform.

Download [image] enables you to generate and download a waveform to the hardware.

When a power-sensitive DUT is connected to the signal generator, ensure that the RF power is off before downloading a waveform.

Return to top

System

Change Hardware Connections displays a list of saved hardware connections. This menu choice opens the System Configuration wizard, where you can select a previously saved hardware configuration, or configure and save a new hardware setup.

Run System Configuration Wizard enables you to configure your system component connections and save the hardware configuration for later use. Use Run System Configuration wizard to set up a new instrument connection, or use Quick Setups to save and change between complete setups that include the hardware connection and software settings.

Return to top

Tools

The Tools menu includes the following two sub-menus:

Status Window

Options: There is only one item under Options.

Display Welcome Dialog lets you to enable or disable the welcome dialog display.

Return to top

Format

DAB The Signal Studio for Broadcast Radio will generate waveforms compatible with different broadcast radio standard, like DAB.

FM stereo\RDS The Signal Studio for Broadcast Radio will generate waveforms compatible with different broadcast radio standard, like FM stereos and RDS.

Return to top

Help

Contents opens the Help system and displays the table of contents.

F1 opens the Help system and displays the table of contents.

Index opens the Help system and displays the Index utility.

Search opens the Help system and displays the search utility.

About displays the version and release date of the software.

Return to top


Quick Setup

Selecting Quick Setups in the tree view displays a list of quick setups to help you create a broadcast radio waveform using a previously saved configuration.

Take FM Stereo\RDS as an example here, for DAB fomat, the quick setup will be similar.

You can use the System Configuration Wizard to start a new setup using actual hardware, or you can choose from predefined setups using simulated or actual hardware. You can customize the settings and save as a quick setup for later use. Quick Setups saves the Signal Generator Settings and all parameters under Waveform Setup.

Predefined Quick Setups

The predefined quick setups (shown as below) enable you to test the setup parameters. You can modify a setup as needed and save the modified file using the Save as Quick Setup button. You cannot delete the predefined quick setups.

Custom Quick Setups

Whether you configured your setup to use simulated or actual hardware, you can save it as a quick setup. Use the following buttons to manage your quick setups:

Save As Quick Setup

Click this button to save the current hardware system and software configuration as a custom quick setup. A window appears, enabling you to enter a name for the quick setup.

To save only Hardware parameter changes, you must use the Save As Quick Setup button. You are not prompted to save Hardware parameter changes when closing or exiting the software unless changes are also made to the Waveform Setup.

Open Quick Setup

Click this button to open the selected quick setup. Double-clicking the quick setup performs the same function.

Delete Quick Setup

Click this button to delete the selected custom quick setup.

Rename Quick Setup

Click this button to rename a custom quick setup. A window appears enabling you to choose and rename the quick setup.


Status Window

The status window displays information related to carrier and channel parameters, waveform generation, and license status.

When you change a parameter, the software checks for errors and conflicts.

When you generate, download, or export waveform data, the software checks waveform generation and license status to find errors such as missing carriers or missing or invalid licenses.

Click this button to turn the status window on or off, or select Status Window from the Tools menu.

A green dot indicates there are no errors in your setup.

A red dot indicates an error. Errors are listed sequentially with the most recent error at the top of the list.

Name

This column shows the channel name or type of error.

  • Channel configuration errors display the channel name beside the red dot.

  • Generation errors display Generation beside the red dot.

  • License errors display Instrument beside the red dot.

  • No active channel displays NoChannel beside the red dot.

Description

This column provides a detailed description of the error.

Note

This column provides information about how to resolve the conflict or error or provides other supplemental information.

Window Positioning

Position the Status window in one of three different locations relative to the main window or turn positioning off for a free-floating window.

For convenience, you can move the Status window to another location away from the main window even if it is positioned with the main window. However, when you move the main window, the Status window returns to its defined position next to the main window.

Select the Status window position using one of the four buttons located in the Status window. A green button indicates the active positioning selection.

Click to position the Status window to the left of the main window.

Click to position the Status window to the right of the main window.

Click to position the Status window below the main window.

Click to turn positioning off (the Status window is free-floating).

Related Topics

Status Bar


Status Bar

The status bar updates in real-time to let you know the status of running operations, such as waveform generation. It also displays hardware connectivity information, the total sample points of the waveform and the progress of waveform generation. No hardware connected is displayed until the hardware is connected.

If "Connecting Hardware..." continues to be displayed and does not change to "Ready" within a few minutes, verify that the IO Libraries are properly configured for the connected instruments.

Run Status

This area shows the status of the software's setup.

The following are some of the possible run status messages:

Generating | Generating the waveform points according to the waveform setup of this project.
Generated | The required waveform has already been generated.
Downloading | Downloading the waveform to instrument as configured in Hardware.
Download | The required waveform has already been Downloaded.
Exporting | Exporting the generated waveform file to disk.

Connection Status

This area shows the connection status of the software to the signal generator.

The following are some of the possible connection status messages:

Blank (no text) | Simulated hardware mode.
Connected | The instrument connection is checked and verified.
Not Connected | The software is not connected to the signal generator at this moment.


hardware

Hardware Settings

Hardware | provides system details such as system name and configuration, and information about the signal generator such as model number, serial number, firmware revision, and so on. Also provides access to the Run Self-Tests and Test I/O Connections buttons.
Signal Generator | provides access to signal generator settings used to display the waveform.


Hardware Settings

Hardware

Select this view to display read-only information about the hardware system. When using simulated hardware, the property pane shows <Simulated Hardware> in the Name and Connection cells, and N/A in most of the other cells.

Run Self-Tests

Click this button to run an I/O interface connection test between the signal generator and the PC. Run Self-Tests performs the same tests as the Test I/O Connections button.

The Self-Tests window appears and displays the results of the tests. Closing the test dialog window changes the display from the hardware node to the waveform setup node.

If an error occurs, a red X appears next to the failed test and an error message is displayed in the status area.

Test I/O Connections

Click this button to run an I/O interface connection test between the signal generator and the PC. Test I/O Connections performs the same tests as the Run Self-Tests button.

The Test I/O Connections window appears and displays the results of the tests. Closing the test dialog window changes the display from the hardware node to the waveform setup node.

If an error occurs, a red X appears next to the failed I/O connection and an error message is displayed in the status area.

1. System Details

Name

View the name assigned to the system when it is configured with the wizard.

Description

View the hardware configuration type.

Return to top

2. ESG/ PSG/MXG Signal Generator Details

Connection

View the connectivity method, such as LAN or GPIB.

Model Number

View the signal generator model number.

Serial Number

View the signal generator serial number.

Firmware Revision

View the signal generator firmware revision number.

2.1 Options

View the list of options installed on the selected signal generator.

For a complete description of the available signal generator options, see the signal generator's data sheet.

Return to top


Signal Generator Settings

Signal Generator

Clicking Instrument in the tree view displays the Instrument Settings table in the node view of the main window.

Click the plus [image] box to expand the table and access those parameters.

Update to Instrument

Press this button to send the software parameters to the connected instrument.

Update from Instrument

Press this button to retrieve the parameters from the connected instrument.

Local

Press this button to deactivate remote operation and return the signal generator to local (front panel) control.

Preset

Press this button to set the signal generator to a known state, either factory-defined or user-defined.

Refer to the signal generator's user's guide for information on setting a user-defined state.

DC Cal

Press this button to execute an I/Q DC Calibration to minimize errors associated with offset voltages.

DC Cal minimizes I/Q offset errors for a single frequency only, and must be repeated if the signal generator's settings change.

Download a waveform to set the correct parameters for the target instrument, and make this button available.

Power Search

Press this button to execute a manual power search calibration.

This is an internal calibration routine that improves output power accuracy when ALC is off. A power search is recommended for pulse-modulated signals with pulse-widths less than two microseconds.

Download a waveform to set the correct parameters for the target instrument, and set ALC to Off to make this button available.


1. Configuration

Instrument Model Number

Displays the model number of the currently connected instrument.

Double-click or use the drop-down menu to select an instrument for your configuration.


2. Basic

Frequency

Range: for specified range values, see the signal generator's data sheet

Enter a value to set the signal generator’s output frequency. Use abbreviations for faster entry (example: 1g = 1.000000000000 GHz).

Amplitude

Range: for specified range values, see the signal generator's data sheet

Enter a value to remotely set the signal generator’s output amplitude.

RF Output

Choice: On | Off

Default: On

Double-click or use the drop-down menu to control the signal generator’s RF output state.


3. I/Q

IQ Adjustments

Choice: On | Off
Default: Off

Double-click or use the drop-down menu to turn the I/Q adjustments on or off.

  • On − the values entered for I and Q parameters are applied to the I and Q signals.

  • Off − I/Q adjustment values are not applied to the I and Q signals.

I Offset

Range: N5162A/N5182A: -20% to 20%

All other models: -50% to 50%

Default: 0.00%

Set I/Q Adjustments to On to enable this parameter.

Enter a DC offset value to apply to the I signal before the I/Q modulator. Use this offset to remove imperfections in the in-phase signal or to introduce calibrated impairments.

For more information, refer to the User Guide or Key Reference for the signal generator you are using.

Q Offset

Range: N5162A/N5182A: -20% to 20%

All other models: -50% to 50%

Default: 0.00%

Set I/Q Adjustments to On to enable this parameter.

Enter a DC offset value to apply to the Q signal before the I/Q modulator. Use this offset to remove imperfections in the quadrature-phase signal or to introduce calibrated impairments.

For more information, refer to the User Guide or Key Reference for the signal generator you are using.

I/Q Gain Balance

Range: N5162A/N5182A: −1 dB to 1 dB, in 0.001 dB steps

All other models: −4 dB to 4 dB, in 0.01 dB steps

Default: 0.00 dB

Set I/Q Adjustments to On to enable this parameter.

Enter a gain ratio, by which I gain exceeds Q gain.

For example, if you enter a value of 1 dB, the I signal will have 1 dB more amplitude than the Q signal. Use the gain balance to remove imperfections in I and Q or introduce calibrated impairments.

Quadrature Angle Adjustment

Range: −10 to 10 degrees
Default: 0.00 degrees

Set I/Q Adjustments to On to enable this parameter.

Enter a value to adjust the Q phase angle. When the quadrature skew is zero, the phase angle between the I and Q vectors is 90 degrees. Positive skew increases the angle from 90 degrees while negative skew decreases the angle from 90 degrees.

I/Q Timing Skew Path

Choice: RF | Baseband (BB)
Default: RF

Set I/Q Adjustments to On to enable this parameter.

Double-click or use the drop-down menu to select whether the path is RF or Baseband (BB).

This parameter is not available with all instrument model numbers and may be grayed out.

I/Q Correction Optimization Path

Choice: RF Output | External I/Q Output
Default: RF Output

Set I/Q Adjustments to On to enable this parameter.

Double-click or use the drop-down menu to select the I/Q Correction optimization path.

This parameter is not available with all instrument model numbers and may be grayed out.

I/Q Skew

Range:N5162A/N5182A: −800 to 800 ns, in 1 ps steps

All other models: −2.0 to 2.0 seconds, in 1 ps steps, the limits are affected by the sample rate of the current format

Default: 0.0 seconds

Set I/Q Adjustments to On to enable this parameter.

This cell inputs skew changes to the I and Q paths, in picoseconds. A positive value delays the I signal relative to the Q signal, and a negative value delays the Q signal relative to the I signal.

I/Q Delay

Range: N5162A/N5182A: −400 to 400 ns, in 1 ps steps

All other models: −1.0 to 1.0 seconds, in 1 ps steps, the limits are affected by the sample rate of the current format

Default: 0.0 seconds

Set I/Q Adjustments to On to enable this feature.

This cell sets the I/Q delay from triggers and markers, in picoseconds.

Return to top


4. ALC

ALC

Choice: On | Off
Default: On

Double-click or use the drop-down menu to enable or disable the automatic level control.

  • On − the ALC circuit constantly monitors and controls the output power level.

  • Off − no automatic leveling occurs.

ALC Bandwidth

Choices: Auto, 100 Hz, 1 kHz, 10 kHz, 100 kHz
Default: Auto

Select the ALC loop bandwidth from the drop-down list. Choose Auto to let the signal generator automatically select the optimized bandwidth for the current signal setup.

For waveforms with varying amplitudes, a high crest factor, or both, set the ALC loop bandwidth to 100 Hz, which is the default bandwidth set when an ARB format is turned on. Limiting the loop bandwidth of the ALC circuit prevents the ALC from sampling the fast rising edges of high-crest pulsed waveforms.

This parameter is not available with all instrument model numbers and may be grayed out.

Power Search Reference

Choice: Modulation | Fixed
Default: Modulation

Set ALC to Off to enable this parameter.

Double-click or use the drop-down menu to select a fixed or modulation reference signal when doing a power search.

  • Fixed − power search uses a fixed 0.5 V reference.

  • Modulation − power search uses the RMS value of the current I/Q modulation as the reference.

RF During Power Search

Choice: Normal | Minimum
Default: Normal

Set ALC to Off to enable this parameter.

Double-click or use the drop-down menu to select the level of the output power control during a power search routine.

  • Normal − performs power searches without setting the internal step attenuator to its maximum setting. Glitches and power changes may be present during the search.

  • Minimum − sets the signal generator's step attenuator to its maximum setting during power search to protect sensitive circuits.

Return to top


5. Dual ARB

VCO Clock

Choice: Internal | External
Default: Internal

Double-click or use the drop-down menu to select the signal generator’s VCO Clock.

  • Internal − the signal generator uses its internal VCO Clock.

  • External − the signal generator uses an external VCO Clock.

This parameter is not available with all instrument model numbers and may be grayed out.

ARB Sampling Clock

Default: 190.0000000 kHz

The sample clock frequency of the signal generator is automatically calculated by the program. The range depends on the connected instrument.

Waveform Runtime Scaling

Range: 1%−100%
Default: 70%

Enter a scaling value for the signal generator to apply to the waveform while it is playing. Use scaling to get the best dynamic range without overflowing the I and Q digital to analog converters (DAC) and reduce the overshoot associated with the DAC interpolation filter.

I/Q Modulation Filter

Choice: Auto | 2.1 MHz | 40 MHz | Through
Default: Auto

Use this cell after downloading and synchronizing with the signal generator.

Use this cell to select a filter for I/Q signals modulated onto the RF carrier. The bandwidth of the baseband signal should dictate the minimum reconstruction filter bandwidth you choose. Depending on the oversampling ratio and where the image frequencies appear, you may want to select a wider bandwidth.

  • Auto − automatically selects a digital modulation filter.

  • 2.1 MHz − applies a 2.1 MHz baseband filter to the I/Q signals.

  • 40 MHz − applies a 40 MHz baseband filter to the I/Q signals.

  • Through − bypasses filtering.

This parameter is not available with all instrument model numbers and may be grayed out.

Return to top

I/Q Output Filter

Choice: Auto | 40 MHz | Through
Default: Auto

Use this cell after downloading and synchronizing with the signal generator.

Use this cell to select a filter or through path for routing I and Q signals to the rear panel I/Q outputs.

  • Auto − automatically selects an I/Q output filter.

  • 40 MHz − applies a 40 MHz baseband filter.

  • Through − bypasses filtering.

This parameter is not available with all instrument model numbers and may be grayed out.

Modulation Attenuation Mode

Choice: Auto | Manual
Default: Auto

Use this cell after downloading and synchronizing with the signal generator.

Select the mode of the internal I/Q modulator.

  • Manual − manually set the attenuation level of the I/Q modulator using the Modulation Atten cell.

  • Auto − the attenuation level automatically sets to a value for best performance based on the digital modulation settings.

Return to top

Modulation Attenuation

Range: 0.00−40.00 dB
Default: 6.00 dB

Set Modulation Attenuation Mode to Manual to enable this parameter.

Set the attenuation of the I/Q signals being modulated through the signal generator RF path. Adjusting the attenuation may reduce signal distortion and improve the overall dynamic range.

High Crest Mode

Choice: On | Off
Default: Off

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to enable or disable the signal generator’s high crest mode.

  • On − processes high-crest-factor arbitrary I/Q waveforms with less distortion. For crest factors higher than 4 dB, you should reduce I/Q Modulation Atten levels by 1 dB for each dB above that level. High crest mode reduces the maximum output level and degrades power level accuracy.

  • Off − disables the high crest mode.

This parameter is not available with all instrument model numbers and may be grayed out.

ARB Reference

Choice: Internal | External
Default: Internal

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select the signal generator’s ARB reference source .

  • Internal − the signal generator uses its internally generated 10 MHz signal as the reference source.

  • External − the signal generator uses an external signal as the reference frequency for the baseband I/Q signal. Connect to the rear-panel BASEBAND GEN REF IN connector. See the signal generator’s user’s guide for information on external references.

This parameter is not available with all instrument model numbers and may be grayed out.

Reference Frequency

Range: 0.2500000–100.0000000 MHz
Default: 10.0000000 MHz

Set ARB Reference to External to enable this parameter.

Use this cell after downloading and synchronizing with the signal generator.

Enter the frequency value of the external reference when using an externally supplied reference signal. See the signal generator’s user’s guide for information on external references.

This parameter is not available with all instrument model numbers and may be grayed out.

Return to top


6. Dual ARB Marker Utilities

Pulse/RF Blanking

Choice: None | Marker 1–4
Default: None

Double-click or use the drop-down menu to select an RF blanking function.

  • None − disables RF blanking.

  • Marker 1 through 4 − selects a marker to activate RF blanking.

Pulse/RF Blanking turns off the RF output signal during specific conditions determined by the marker.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Do not blank longer than 100 ms due to ALC hold limit.

ALC Hold

Choice: None | Marker 1–4
Default: None

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select a marker for ALC hold. Use ALC hold when you have a waveform signal that has idle periods, or when the increased dynamic range with RF blanking is not desired.

  • None − disables ALC hold.

  • Marker 1 through 4 − assigns a marker for the ALC hold function. When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and output power leveling does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period. Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

When the specified marker polarity is positive and the marker signal is low (no marker points), ALC hold is on, and output power leveling does not respond to changes to the signal amplitude. When the marker signal is high, the ALC samples the waveform points and averages the waveform amplitudes to set the ALC circuitry for the next ALC hold period.

RF blanking incorporates ALC hold, so there is no need to select ALC hold when using RF blanking.

Limit ALC Hold to no more than 100 ms, as the ALC Level may degrade.

Alternate Amplitude

Choice: None | Marker 1–4
Default: None

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select a marker for enabling the alternate amplitude function.

  • None − disables the alternate amplitude function.

  • Marker 1 through 4 − assigns a marker for the alternate amplitude function. When the specified marker polarity is positive and the marker signal is low (no marker points), alternate amplitude is off. When the marker signal is high, the alternate amplitude function is on.

Configure the alternate amplitude parameters from the Amplitude hardkey menu of the signal generator.

For more information about alternate amplitude and marker settings, refer to the signal generator's user's guide.

This parameter is not available with all instrument model numbers and may be grayed out.

Marker1-4 Polarity

Choice: Positive | Negative
Default: Positive

Use this cell after downloading and synchronizing with the signal generator.

Double-click or use the drop-down menu to select the active polarity for Marker 1–4.

  • Positive − the marker signal is high during the marker points.

  • Negative − the marker signal is high during the period of no marker points.

Return to top


7. Dual ARB Trigger

Trigger Type

Choice: Continuous | Single | Gated | Segment Advance
Default: Continuous

Double-click or use the drop-down menu to select the triggering mode.

  • Continuous – selects the continuous triggering mode, which enables the signal generator to repeat the modulating signal indefinitely until you turn off the modulation format, change triggers or select another waveform.

  • Single – sets up a waveform to play once after receiving a trigger. See Retrigger Mode to configure the waveform's response to triggers.

  • Gated – sets the signal generator to the gated trigger mode, which causes the waveform (modulating signal) to repeatedly start and stop in response to an externally applied trigger signal. To use the gated trigger mode, you must also select External Trigger Source.

  • Segment Advance – controls the way the signal generator plays segments within a sequence. This includes determining whether a segment plays once or continuously, and when the sequence advances to the next segment. See also Segment Advance Mode.

Trigger Source

Choice: Trigger Key | External | Bus
Default: External

This cell adjusts the trigger source applied to the PATT TRIG IN or AUX I/O connectors.

  • Trigger Key – selects the front panel hardkey as the trigger source. After making this selection, press the Trigger hardkey to trigger a waveform.

  • Bus – enables the sending of a command through the GPIB, LAN or AUXILIARY IO (RS-232) input connector to trigger a waveform.

  • External – causes a waveform to trigger from an externally supplied trigger signal.

External Source

Choice: Pattern Trigger In 1 | Trigger Pattern In 2
Default: Pattern Trigger In 1

This cell selects the rear-panel input for the external trigger signal. External must be selected as the trigger source.

  • Pattern Trigger In 1 – selects the PATTERN TRIG IN rear-panel BNC connector

  • Pattern Trigger In 2 – selects the AUXILIARY I/O rear panel connector

This parameter is active only after selecting External as the trigger source.

External Polarity

Choice: Positive | Negative
Default: Positive

This toggles the polarity of the TTL signal at the rear panel TRIGGER OUT connector.

  • Positive – the trigger out signal is asserted high (+ 5.0 V) at the start of the swept-sine modulation sweep and low (0 V) when the sweep ends.

  • Negative – reverses the polarity, so that the trigger out signal is low (0.0 V) at the start of the swept-sine modulation sweep and high (+ 5.0 V) when the sweep ends.

This parameter is active only after selecting External as the trigger source.

R eturn to top

External Delay

Choice: On | Off
Default: Off

This cell turns the external trigger delay off or on. The selection is active only after selecting External as the trigger source.

External Delay Time

Range: N5162A/N5182A: 8 ns to 30 s in 8 ns steps

All other models: 10 ns to 40 s, in 10 ns steps

Default: 1 ms

Sets the amount of time to delay the signal generator's response to an external trigger. The delay is a path (time) delay between the time the signal generator receives the trigger and when it responds to the trigger.

Continuous

Choice: Free Run | Trigger & Run | Reset & Run
Default: Free Run

This cell selects the waveform's response to triggers when Continuous is the trigger mode (continuous waveform transmission.)

  • Free Run – immediately triggers when you turn the format on.

  • Trigger & Run – waits for and starts on the first trigger; ignores subsequent triggers.

  • Reset & Run – waits for and starts on the first trigger; resets and plays on a subsequent trigger.

Single

Choice: Buffered Trigger | No Retrigger | Restart on Trigger
Default: Buffered Trigger

This cell configures the waveform's response to triggers while using the single trigger mode. The response selections determine whether the waveform accepts a trigger during playback, and if it does, how it responds to that trigger.

  • No Retrigger – causes the waveform to ignore the triggers during playback.

  • Buffered Trigger – causes a waveform to accept a trigger during payback and to restart after the current play finishes.

  • Restart on Trigger – causes a waveform to accept a trigger during playback and to restart immediately after receiving a trigger.

Return to top

Segment Advance

Choice: Single | Continuous
Default: Continuous

Double-click or use the drop-down menu to select the segment advance mode and one of the following trigger responses.

  • Single – causes a segment to play once and wait for a trigger before the sequence advances to the next segment.

  • Continuous – causes a segment to play continuously until receiving another trigger. Upon receiving the trigger, the sequence advances to the next segment, which then plays continuously.

Gated

Choice: Active High | Active Low
Default: Active High

Double-click or use the drop-down menu to select the gated mode and one of the following trigger responses. To use the gated trigger mode, you must also select External.

  • Active Low causes waveform playback to start when the trigger signal goes low and to stop when the trigger signal goes high.

  • Active High causes waveform playback to start when the trigger signal goes high and to stop when the trigger signal goes low.

Return to top


8. Real-time Noise Setup

If an instrument does not have Real-time Noise capabilities, the noise effect does not work.

Real-time Noise

This cell enables or disables adding real-time, non-repeating additive white gaussian noise (AWGN) to the carrier being modulated by the waveform being played.

  • On – enables the addition of Real-time Noise.

  • Off – disables the addition of Real-time Noise.

Carrier to Noise Ratio

Range: –100 dB to 100 dB
Default: 0.0 dB

Enter the noise power to be applied to a waveform. The carrier power is defined as the total modulated signal power before noise power is added. When you add noise, the power output from the signal generator does not change; it is the sum of carrier power and the added noise power. A positive value makes C larger than N.

Carrier Bandwidth

N5162A/N5182A: 1.0 Hz to 125 MHz

All other models: 1.0 Hz to 80 MHz

Default: 1.0 Hz

Specifies the bandwidth over which the noise power is integrated for calculating the carrier to noise ratio (the bandwidth of the target carrier).

Noise Bandwidth Factor

Range: 1 to 2

Default: 1

Displays the flat noise bandwidth factor for the applied real-time noise.

When the Sample Clock is < 50 MHz, the Noise Bandwidth Factor adjusts the RF flat noise bandwidth to be either at least 0.8 times the sample rate for a bandwidth factor of 1, or 1.6 times the sample rate if the bandwidth factor is 2.

When the Sample Clock is > 50 MHz, noise cannot be enabled if the Noise Bandwidth Factor is 2. Any oversampling in a waveform will effectively make the noise bandwidth be that many times wider than the signal bandwidth.

The Noise Bandwidth is calculated as follows:

The noise bandwidth is at least 0.8 * [ARB Sample Clock] * [Noise Bandwidth Factor]

This parameter is not available with all instrument model numbers and may be grayed out.

Noise Bandwidth

Range: 1.0 Hz to 100.000 MHz

Default: 1.0 Hz

Set or change the noise bandwidth.

This parameter is not available with all instrument model numbers and may be grayed out.

Return to top


Licenses

Index Number

Displays the licensed feature’s index number.

State

Double-click or use the drop-down menu to set the operating state of the selected feature.

§ On – enables the feature.

§ Off – disables the feature.

The State cell color changes to red if a feature is set to On and there is not a valid license available, or the license is expired.

Feature

Displays the license option name for the feature or the capability options available in the software. All capability and connectivity options are locked to the target instrument. Feature capability is either Basic or Advanced. Feature connectivity is specific to the type of signal generator. The option number identifies the type of license, whether perpetual or time-based, fixed or transportable, and so on. For more information about licensing for feature capability and feature connectivity, refer to the Signal Studio Configuration Assistant.

Feature Capability

Option Number | Capability Type | License Locked To: | Time Based
N7611B-Qxx | Advanced Capability | Target instrument serial number/bar code | Yes

Feature Connectivity

Option Number | Connectivity Type | License Locked To: | Time Based
N7611B-1xx | ESG connectivity | Instrument serial number | Yes
N7611B-3xx | MXG connectivity | Instrument serial number | Yes

Description

Displays the name of the available features.

Instrument License

Displays the status of the selected license on the connected instrument(s).

§ Valid – the license is installed and active.

§ Invalid – the license is expired or not installed.

§ N/A – Not applicable.

§ Info not available – Signal Studio software does not provide license information for the 16800/16900 logic analyzer.

Return to top


Waveform_Setup_all

Waveform Setup

Waveform setup configuration for FM/Stereo RDS | Provides configuration details of waveform setup for format FM/Stereo RDS.
Waveform setup configuration for DAB | Provides configuration details of waveform setup for format DAB.


Waveform_Setup1

Waveform Setup for DAB

Select DAB in the Format, shown as follows.

Clicking Waveform Setup in the tree view displays the panes in the parameter view where you can configure a DAB waveform and download it to the Agilent ESG, MXG, or MXG ATE Vector Signal Generator. This software will do real-time coupling and clipping on the DAB waveform parameters that you input and display the coupled and clipped values immediately.

The parameters configuration for DAB waveforms can be divided into four levels, and each level has its specific parameter set as listed below in detail.

  • Waveform Setup – Waveforms can consist of up to 12 carriers in a single waveform. In the waveform setup window, you can add and remove carriers that you require. Set the waveform properties, such as Oversampling Ratio, which allows you to quickly assess your setup.

Carrier Configuration Summary Table

This table enables you to view the key parameters for each carrier in the waveform. You can also add or delete carriers using the buttons above the table (see descriptions below). Double-clicking a carrier row activates the setup tables for that carrier. You can use a maximum of 12 carriers in the waveforms.

Click [image] to open a drop-down menu which allows you to add a carrier to the current configuration. The new carrier is added immediately above the currently highlighted carrier in the Carrier Configuration Summary Table.

Click [image] to delete the highlighted carriers in the Carrier Configuration Summary Table.

Click [image] to copy the highlighted carrier and appends the copy to the bottom of the carrier list.

1. Basic

Waveform Name

Enter an alpha-numeric waveform file name of up to 16 characters. The name can include spaces and the following special characters: _ $ & # + - [ ]. If you enter a name with more than 16 characters, the software truncates the name to 16 characters when you click outside of the cell. The default name is DAB.

The name you define here is displayed on the signal generator when you download the waveform.

Comments

Enter an alpha-numeric comment of up to 32 characters. You can enter a separate comment for each waveform.

Waveform Length

View the waveform length, displayed in points. You cannot edit this cell. The software automatically sets this value.

Increasing the Play Time or the Oversampling Ratio will increase the waveform length.

If you build a waveform from multiple carriers, Waveform Length is specific to an individual carrier. If the carrier Waveform Lengths are different, the waveform can't be generated..

2. Spectrum Control

Oversampling Ratio

Range: 1 to 48

Default: 1

Set the oversampling ratio of the baseband signal.

Mirror Spectrum

Choice: On | Off

Default: Off

Double-click or use the drop-down menu to swap the I and Q waveforms.

This parameters is used during the correction operation to account for low side up conversion between the signal and the spectrum analyzer.

3. Impairments in Waveform

Quadrature Angle Adjustment

Range: -90.000 to 90.000 degrees

Default: 0.000 deg

Set the baseband quadrature phase angle in degrees.

I/Q Gain Balance

Range: -10.000 to 10.000 dB

Default: 0.000 dB

Set the baseband quadrature gain balance, in dB.


Carrier_Setup1.htm

Carrier Setup

1.Basic

State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to set the state of the carrier ON or OFF.

Frequency Offset

Range: -40 to 40 MHz

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting.

Initial Phase

Range: 0.00 to 359.00 deg

Default: 0.00 deg

Set the initial phase of the carrier.

Power

Range: -50.00 to 0.00 dB

Default: 0.00 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

2.DAB

Transmission Mode

Choice: ModeI |ModeII | ModeIII | ModeIV

Default: ModeI

Set the transmission modes (i.e. I, II, III and IV), which are defined to allow the system to be used for different network configurations and a range of operating frequencies. Four transmission modes have 4 different carrier numbers: 1536, 768, 384 and 192.

Transmission mode | Duration of transmission frame | Number of FIBs per transmission frame | Number of CIFs per transmission frame
I | 96 ms | 12 | 4
II | 24 ms | 3 | 1
III | 24 ms | 4 | 1
IV | 48 ms | 6 | 2

In our Signal Studio product, FIG in the FIB (Fast Information Channel) could be configured with flexibility - pre-defined or user-defined, and more information are available on FIG Configuration.

The MSC is comprised of Common Interleaved Frames (CIFs), which contains 55 296 bits. The smallest addressable unit of the CIF is the Capacity Unit (CU), comprising 64 bits.

Therefore, the CIF contains 864 CUs, which shall be identified by the CU addresses 0 to 863.

For more information on the CIF Structure, please check CIF structure.

Number of Transmission Frames

Range: 1 to 10000

Default: 4

Set the number of transmission frames. Please be aware of that, by default when the Data Source type is Demo, the Number of Transmission Frames will automatically be set to 60, which could later be modified by users; however, when you select DAB Plus in Audio Service Component Type of the certain service component, and change the Number of Transmission Frames to a value other than 60, there might be a waveform discontinuity problem.

Filter Type

Choice: None | Ideal Lowpass | User Defined

Default: None

Set the filter type.

A low-pass filter is a filter that passes low-frequency signals but reduces the amplitude of signals, or called attenuates, with frequencies higher than the cutoff frequency. Usually an Ideal Lowpass is recommended to acquire a smooth spectrum.

Filter Coefficients

Set the filter coefficients.

This parameter is valid only when Filter Type is User Defined.

Related Topics

Fast Information Group

Common Interleaved Frame


Ensemble Introduction

Ensemble Basic

The definition of Ensemble

The ensemble, also called multiplexer, could be considered as the transmitted signal, comprising a set of regularly and closely-spaced orthogonal carriers. The ensemble is the entity which is received and processed. In general, it contains programme and data services.

An ensemble could also be thought as a collection of all the broadcasting stations on one fixed frequency.

Ensemble setup in Signal Studio

Click on Ensemble, Services or Service components to see how it's implemented in our Signal Studio product.

As shown in the Ensemble setup view above, one Ensemble could include multiple Service Components. There are two ways to add a Service Component to an Ensemble

  1. Under Service Components node.

Notice that using method 1, the added Service Components will reside in the Ensemble root directory, and no Service Components are allocated to specific Services (Service 0, Service 1 or others).

  2. Under each Service node (Service 0, Service 1 or others).

While using method 2, the added Service Components will not only reside in the Ensemble root directory, but also are allocated to the specific Service.


Ensemble

1. Basic

Ensemble Label

Default: Test Signal

Set the ensemble label, which is applied for identifying the ensemble in a textual format which should be less than 16 characters (including blanks).

Ensemble Id

Range: 0 to 65535

Default: 57383

Get the ensemble ID, which is a unique 16-bit code, allocated to an ensemble and intended to provide its unambiguous world-wide identification.

Note: this parameter is calculated as follows: Country ID *4096 plus Ensemble Reference. Besides, Ensemble Id can’t be modified directly.

Country Id

Range: 0 to 15(Practically zero is not used)

Default: 14

Set the Country ID, which is a 4-bit field, defined in the standard of TS 101 756, tables 3 to 7. For more information about the standard, Click here.

Ensemble Reference

Range: 0 to 4095

Default: 39

Set the ensemble reference, which is a 12-bit field, indicating the number of the Ensemble allocated for use within a national area.

2. Clock Time and date

Modified Julian Day

Range: 0 to 99999

Default: 54686

Set the Modified Julian Day by a Date dialog in GUI.

Below is the formula of Modified Julian Day and Year/Month/Day

int l = (month == 0 || month == 1) ? 1 : 0;

int mjd = 14956 + day + (int)Math.Floor( ( year - 1900 - l)*365.25 ) + (int)Math.Floor( (month+ 1 + l*12 )*30.6001 )

UTC Flag

Choice: Short Form| Long Form

Default: Short Form

Set the Coordinated Universal Time (UTC) Flag.

Leap Second Indicator

Choice: Not Contain a Leap Second | Contain a Leap Second

Default: Not Contain a Leap Second

Set the leap second indicator. This 1-bit flag shall be set to "1" throughout a UTC day containing a leap second.

Confidence Indicator

Choice: No Confidence| Confidence

Default: No Confidence

Set the confidence indicator. this 1-bit field shall be set to "1" when the timing information is within an agreed tolerance (for example, ±0,2 ms at first ground fall).

UTC Hour

Range: 0 to 23

Default: 0

Set the Coordinated Universal Time (UTC) hour.

UTC Minute

Range: 0 to 59

Default: 0

Set the Coordinated Universal Time (UTC) minute.

UTC Second

Range: 0 to 59

Default: 0

Set the Coordinated Universal Time (UTC) second.

UTC Millisecond

Range: 0 to 999

Default: 0

Set the Coordinated Universal Time (UTC) millisecond.

3. Fast Information Configuration

FIG Configuration Type

Choice: Auto | Manual

Default: Auto

Set the FIG configuration type.

Note: the existing FIG configuration will be cleared while changing from Manual to Auto.

FIG Configuration

Default: Test Service

Click on Set the FIG Configuration in a popup dialog.

Click on the cell of FIG Configuration, and a [image] will appear on the right end of the cell. Click on the button [image], and a dialog for Fast Information Group Configuration will pop up.

Note: FIG Configuration is valid only when FIG Configuration Type is Manual.


Services

1. Basic

Service Label

Default: Test Service

Set the service label, which consists of alphanumeric characters associated with a particular service and intended for display in a receiver, in textual format which should be less than16 characters (including blank).

The length of ensemble label should not more than 16 characters.

Character Flag Field

Default: 1111000000000000

Set the Character Flag Field. This 16-bit flag field shall indicate which of the characters within the character field are to be displayed in an abbreviated form of the label, explained as follows:

b(i) (i = 0, ... ,15);

0 : not to be displayed in abbreviated label;

1 : to be displayed in abbreviated label.

If the character field contains less than 16 characters, the unused bits in the character flag field (having no corresponding character) should be set to zero.

Not more than 8 of the b(i) may be set to "1".

Country Id

Range: 0 to 15(Practically zero is not used)

Default: 14

Set the Country Id, which is a 4-bit field, defined in the standard of TS 101 756 , tables 3 to 7 ”Digital Audio Broadcasting (DAB); Registered Table”.

As 4-bit field might not be enough to characterize all the countries, ECC (Extended Country Code), an 8-bit field is also used, written in hexadecimal. For example, Germany is E0, Greece is E1 etc.

Service Reference

Range: 0 to 4095(for program services) | 0 to 1048575 (for data services)

Default: 2

Set the service reference, indicating the number of the service. It cannot be conflicted with other service references.

Service Id

Range: 0 to 65535

Default: 57346

Get the service Identifier.

Calculate: When program service is chosen, it equals to (Country Id)*4096 + (Service Reference);

When data service is chosen, it equals to (Extended Country Code)*16777216 + (Country Id)*1048576 + (Service Reference).

This parameter is updated with the change of Extended Country Code, Country Id or Service Reference.

2. Detailed Information

Programme/Data Service Flag

Choice: Programme Service | Data Service

Default: Programme Service

Get the Programme/Data Service Flag.

This parameter is Read-Only and will be update by the first service component in the service. If its TMID is 0, this parameter is set to Programme Service, otherwise set to Data Service.

Conditional Access Identifier

Choice: No_Access_Control | NR_MSK | Eurocrypt_EN

Default: No_Access_Control

Get the Conditional Access Identifier, which is a 3-bit field, identifying the Access Control System (ACS) used for the service. If no ACS is used for the service, CAId shall be set to zero.

Note: This parameter is read-only.

Programme Type

Choice: 0.None | 1.News | 2.Current Affairs / Information | 3.Information / Sports | 4.Sport / Talk | 5.Education / Rock | 6.Drama / Classic Rock | 7.Culture / Adult Hits | 8.Science / Soft Rock | 9.Varied / Top 40 | 10.Pop Music / Country | 11.Rock Music / Oldies | 12.Easy Listening Music / Soft | 13.Light Classics / ostalgia | 14.Serious Classics / Jazz | 15.Other music / Classical | 16.Weather / Rhythm and Blues | 17.Finance / Soft Rhythm and Blues | 18.Children's Programmes / Language | 19.Social Affairs / Religious usic | 20.Religion / Religious Talk | 21.Phone In / Personality | 22.Travel / Public | 23.Leisure / College | 24.Jazz Music / Unassigned | 25.Country Music / Unassigned | 26.National Music / Unassigned | 27.Oldies usic / Unassigned | 28.Folk Music / Unassigned | 29.Documentary / Weather

Default: 10.Pop Music / Country

Set the Programme Type (PTY) of DAB.

Program type (PTY) is an identification number to be transmitted with each program item and which is intended to specify the current Program type within 29 possibilities. This code could be used for search tuning. The code will, moreover, enable suitable receivers and recorders to be pre-set to respond only to program items of the desired type. The last two numbers, i.e. 30 and 31, are not used..

Related topics

Service Component


Service Component

Service Component Label

Default: Test Component

Set the component label. The Service component label feature is used to identify services in a textual format which should be less than 16 characters (including blank).

Character Flag Field

Default: 1111000000000000

Set the Character Flag Field. This 16-bit flag field shall indicate which of the characters of the character field are to be displayed in an abbreviated form of the label, as follows:

b(i) (i = 0, ... ,15);

0 : not to be displayed in abbreviated label;

1 : to be displayed in abbreviated label.

Not more than 8 of the b(i) may be set to "1".

If the character field contains less than 16 characters, the unused bits in the character flag field (having no

corresponding character) shall be set to zero.

Sub Channel Id

Range: 0 to 63

Default: 0

Set the sub channel identifier which is 6-bit field, coded as an unsigned binary number, identifying the sub-channel to which the paging information is directed.

Service Components Identifier within the Service

Range: 0 to 15

Default: 0

Set the service component identifier within the service (SCIdS), which is a 4-bit field, identifying the service component within the service. A service component identifier valid globally is provided when combined with Sid (Service Identifier, a 16-bit field identifying the service). The combination of the SId and the SCIdS provides a service component identifier which is valid globally.

Long Form

Choice: True | False

Default: False

Set the long/short flag, which indicates whether the service component description takes the short form or the long form of the size and protection field is used.

Start Address

Range: 0 to 863

Default: 0

10-bit field, coded as an unsigned binary number (in the range 0 to 863), addressing the first Capacity Unit (CU) of the sub-channel allocated to the service component.

This is a Read-only parameter, only be updated when sub-channel re-allocates.

Sub Channel Size

Range: 1 to 864

Default: 140

Get sub channel size, which is a 10-bit field, coded as an unsigned binary number (in the range 1 to 864), defining the number of Capacity Units occupied by the sub-channel.

Table Switch

Choice: 1 | 0

Default: 0

Get the table switch, which is a 1-bit flag, indicating whether the table (for Sub-channel size for audio service components as a function of the audio bit rate and the protection level (short-form application)) is signaled or there is some other use of the table index field. 0 means the table is adopted, while 1 means reserved for future use of the table index field.

Table Index

Range: 0 to 63

Default: 41

Set the Table Index, which is a 6-bit field, coded as an unsigned binary number, containing an index which shall identify one of the 64 options available for the sub-channel size and protection level.

Protection Level

Choice: UEP 1 | UEP 2 | UEP 3 | UEP 4 | UEP 5 | EEP 1-A | EEP 2-A | EEP 3-A | EEP 4-A | EEP 1-B | EEP 2-B | EEP 3-B | EEP 4-B

Default: UEP 2

Set the protection level use by the service component, which is a 2-bit field, indicating the protection level.

Note: UEP 1 | UEP 2 | UEP 3 | UEP 4 | UEP 5 are valid only when Long Form is false, while EEP 1-A | EEP 2-A | EEP 3-A | EEP 4-A | EEP 1-B | EEP 2-B | EEP 3-B | EEP 4-B are valid when Long Form is true.

Bit Rate

Get the bit rate transferred by the sub channel, which is the number of bits that are conveyed or processed per unit of time.

Note: When Long Form is false, bit rate could be among 32, 48, 56, 64, 80, 96, 112, 128, 160, 192, 224, 256, 320,384 Kbps

When the protection level is EEP 1-A, EEP 2-A, EEP 3-A or EEP 4-A, the code rate is 8*EEP_N kbps/s; when EEP 1-B, EEP 2-B, EEP 3-B and EEP 4-B, the code rate is 32*EEP_N kbps/s.

This parameter is Read-Only, and will be updated when sub-channel configuration changed.

Transport Mechanism Identifier

Choice: 0 MSC Stream Audio | 1 MSC Stream Data

Default: 0 MSC Stream Audio

Set the transport mechanism identifier, which is a 2-bit field, indicating the transport mechanism used, as follows: b15 - b14

0 0 : MSC - Stream mode - audio;

0 1 : MSC - Stream mode - data;

Audio Service Component Type

Choice: Foreground Sound | Background Sound | Multi-channel audio extension | DAB Plus

Default: Foreground Sound

Set the audio service component type, which is a 6-bit field, indicating the type of the audio service component.

This parameter is valid only when Transport Mechanism Identifier is 0.

Data Service Component Type

Choice: Unspecified | TMC | EWS | ITTS | Paging | TDC | Embedded I P|MOT | PSnoDSCty | PS | GET | TDMB

Default: Unspecified

Set the data service component type, which is a 6-bit field, indicating the type of the data service component.

This parameter is valid only when Transport Mechanism Identifier is 1.

Primary/Secondary

Choice: Primary | Secondary

Default: Primary

Set the service component is primary or secondary in the service. This 1-bit flag shall indicate whether the service component is the primary one.

Data service is composed of a non-audio primary service component and optionally additional secondary service components, among which primary service indicates the first and mandatory component of a service and can be used as a default selection in the receiver, while in case a service contains more than the primary service component, the additional service components are secondary service components. Besides, the Primary/Secondary could also be marked as P/S.

Data Source Type

Choice: Test Pattern | Demo | File

Default: Test Pattern

Double-click or use the drop-down menu to select which type to be used as the data source.

If " File " is selected, "File Name" is required.

Demo File

Choice: DAB mono 128 kbit/s | DAB mono 160 kbit/s | DAB stereo 128 kbit/s | DAB stereo 160 kbit/s | DAB+ mono 128 kbit/s | DAB+ mono 160 kbit/s | DAB+ stereo 128 kbit/s | DAB+ stereo 160 kbit/s

Default: DAB mono 160 kbit/s

Set the RS encoder of the service component.

Note: This parameter is valid only when Data Source Type is Demo.

Last four choices are useful when Audio Service Component Type is DAB Plus while first four choices are useful when Audio Service Component Type is other value.

Related Topic

Services


Fast_Information_Group

As illustrated in the DAB carrier setup, the FIC is made up of FIBs, and the general structure of the FIB is shown in the figure below. The FIB contains 256 bits and comprises an FIB data field and a CRC.

Figure1: Structure of the FIB

Add a FIG

Select one item of the FIG information, shown as follows.

Delete a FIG

Delete one item of the FIG information.

Up

Move the item (with the arrow on the left) up, one row each time.

Down

Move the item (with the arrow on the left) down, one row each time.

Clear

Clear all the FIG information.


Common Interleaved Frame

The MSC is made up of Common Interleaved Frames (CIFs), which is the serial digital output from the main service multiplexer, contained in the Main Service Channel part of the transmission frame.

CIF is common to all transmission modes and contains 55 296 bits, for example 864 CUs.

In the tree view, click on Ensemble, and a CIF Structure Figure will appear below the Ensemble parameter table.

If more service components are needed, there are two methods to create a new service component.

Method 1: Click on Service Components in the tree view, and in the configuration box below, click on [image], and select Add a new service component

Method 1 creates or deletes service components that haven't associated with certain service yet. Notice that the CIF structure won't change after adding a new service component following the method 1, since the service component hasn't been allocated to any service yet.

Method 2: Click on Services 0 in the tree view, and in the configuration box below, click on [image], and select Add a new service component

A Service Component 1 will be created as follows, also you can delete them using the [image] button.

CIF structure will change as follows:

There is a Service Component 1 allocated in the CIF structure.

With method 2, you have to be clear which service to edit before adding or deleting any service components.


waveform setup

Waveform Setup for FM Stereo\RDS

Select FM Stereo/RDS in the Format, shown as follows.

Clicking Waveform Setup in the tree view displays the panes in the parameter view where you can configure a FM Stereo/RDS waveform and download it to the Agilent ESG, MXG, or MXG ATE Vector Signal Generator. This software will do real-time coupling and clipping on the FM Stereo/RDS waveform parameters that you input and display the coupled and clipped values immediately.

The parameters configuration for FM Stereo/RDS waveform can be divided into four levels, and each level has its specific parameter set as listed below in detail.

  • Waveform Setup – Waveforms can consist of up to 12 carriers in a single waveform. In the waveform setup window, you can add and remove carriers as you require. Set the waveform properties, such as: FM Scheme, Play Time and RDS Oversampling Ratio, which allows you to quickly assess your setup.

Carrier Configuration Summary Table

This table enables you to view the key parameters for each carrier in the waveform. You can also add or delete carriers using the buttons above the table (see descriptions below). Double-clicking a carrier row activates the setup tables for that carrier. You can use a maximum of 12 carriers in the waveforms.

Click [image] to open a drop-down menu which allows you to add a carrier to the current configuration. The new carrier is added immediately above the currently highlighted carrier in the Carrier Configuration Summary Table.

Click [image] to delete the highlighted carriers in the Carrier Configuration Summary Table.

Click [image] to copy the highlighted carrier and appends the copy to the bottom of the carrier list.

1. Basic

Waveform Name

Enter an alpha-numeric waveform file name of up to eight characters. The name can include spaces and the following special characters: _ $ & # + - [ ]. If you enter a name with more than 23 characters, the software truncates the name to eight characters when you click outside of the cell. The default name is FM_RDS.

The name you define here is displayed on the signal generator when you download the waveform.

Comments

Enter an alpha-numeric comment of up to 32 characters. You can enter a separate comment for each waveform.

Waveform Length

View the waveform length, displayed in points. You cannot edit this cell. The software automatically sets this value.

Increasing the Play Time or the RDS Oversampling Ratio will increase the waveform length.

If you build a waveform from multiple carriers, Waveform Length is specific to an individual carrier. If the carrier Waveform Lengths are different, the shorter carriers' waveforms are repeated.

FM Scheme

Choice: Digital | Analog

Default: Digital

In the N7611b software user interface, two modes of FM scheme are provided: analog and digital.

Analog Mode: E4438C only. This mode uses the E4438C internal Frequency Modulation functionality.

Graphical displays the connection of E4438C during FM analog calibration

The ARB waveform player is used to play back the multiplexed signal( including the main channel (L+R), the pilot tone, the sub-channel (L-R), and the RDS sub-carrier). The analog multiplexed signal is output from the I/Q OUT Connector and fed into the EXT 1 INPUT Connector by an external BNC cable as internal Frequency Modulation input.

In analog mode, after the ARB waveform is downloaded, the ESG will be configured as following automatically:

1. Internal I/Q modulator disabled.

2. Set FM Path -> 1 on E4438C

3. Set FM -> On on E4438C

4. Set FM Source -> Ext1on E4438C

5. Set Ext Coupling -> DC on E4438C.

In analog mode, to acquire accurate FM deviation, extra calibration is probably needed.(For more information, click here.)

Digital Mode: The ARB waveform player is used to play back the frequency modulated signal. For multi-carrier source, only digital FM could be adopted.

No special connection and calibration needed. In most cases, Digital mode with appropriate sampling ratio is recommended for simple setup and good enough performance.

Play Time

Default: 5.080 s

Set the play time of the specified Waveform, which will be slighted tuned to make sure calculated Waveform Length value is always integer.

2. Spectrum Control

RDS Oversampling Ratio

Range: 80 to 12000

Default: 80

Double-click or use the drop-down menu to set the RDS oversampling ratio.

Notice that default setting is digital mode, RDS Oversampling Ratio is 120 (ARB sample clock is 285KHz) and FM deviation is 75KHz. Since it's not good enough for the performance of Arb sample clock if it's lower than 285KHz, and Arb sample clock should be increased with higher FM Deviation value.

Usually, the arb sample clock is recommended to be around or higher than 4 times of FM deviation. The relationship between RDS Oversampling Ratio and Arb sample clock is shown as follows:

Arb sample clock = 1187.2 x 2 x RDS oversampling ratio.

Mirror Spectrum

Choice: ON | OFF

Default: OFF

Double-click or use the drop-down menu to swap the I and Q waveforms.

This parameters is used during the correction operation to account for low side up conversion between the signal and the spectrum analyzer.

3. Impairments in Waveform

Quadrature Angle Adjustment

Range: -90.000 to 90.000 degrees

Default: 0.000 deg

Set the baseband quadrature phase angle in degrees.

I/Q Gain Balance

Range: -10.000 to 10.000 dB

Default: 0.000 dB

Set the baseband quadrature gain balance, in dB.


Carrier Setup

1.Basic

State

Choice: On | Off

Default: On

Double-click or use the drop-down menu to set the state of the carrier ON or OFF.

Frequency Offset

Range: -12.5 to 12.5 MHz

Default: 0.000000 Hz

Set the frequency offset for the carrier relative to the signal generator’s frequency setting.

Initial Phase

Range: 0.00 to 359.00 deg

Default: 0.00 deg

Set the initial phase of the carrier.

Power

Range: -50.00 to 0.00 dB

Default: 0.00 dB

Set the carrier’s power relative to the signal generator’s amplitude setting.

2.FM

FM Deviation

Range: 1Hz to 300 kHz

Default: 75.000 kHz

Frequency deviation is used in FM radio to describe the maximum instantaneous difference between an FM modulated carrier frequency, and the nominal carrier frequency.

When FM Scheme is Analog, you can't edit this cell, and it could only be altered through changing ”FM Deviation on ESG” or using the calibration wizard which could be accessed through the button in the ”FM Deviation on ESG” cell (only for analog FM Scheme and when an ESG is connected).

The factor between ”FM Deviation on ESG” and the ”FM Deviation” is adjusted each time the Calibration Wizard is executed.

FM Deviation on ESG

Range: 1 Hz to 300 kHz

Default: 150.000 kHz

This is the FM Deviation value on the ESG signal generator, which is to be set to acquire the desired FM Deviation value in the final waveform and is usually different from that desired value due to the whole analog FM implementation mechanism with ESG.

”FM Deviation” could only be altered through changing ”FM Deviation on ESG” or using the calibration wizard which is accessible through the button in this cell when an ESG is connected.

The factor between ”FM Deviation on ESG” and the ”FM Deviation” is adjusted each time the Calibration Wizard is executed.

Normalized

Choice: True | False

Default: True

Double-click or use the drop-down menu to select whether the FM deviation is normalized.

▪ True − the FM Deviation value is corresponding to the peak value of the MPX signal, including all signals such as audio, pilot and RDS.

▪ False − the FM Deviation is used as the reference since the percentages of ”Audio Deviation”, ”Pilot Deviation” and ”RDS Deviation” can be set corresponding to it. However, eventually the actual FM deviation may not be the value set for FM Deviation.

Pilot

Choice: On | Off

Default: On

Set pilot status.

When transmitted in stereo, it's preferable to synchronize the RDS subcarrier with the 19 kHz pilot signal, rather than leave these two signals in complete independence. In fact substantial inter-modulation may be produced between the 3rd harmonic of the pilot signal and the RDS signal, generating an unwanted beat which may be audible.

The following picture shows the baseband layout of FM broadcasting:

Pilot Deviation

Range: 0.1% to 20%

Default: 10.0 %

The percentage of frequency deviation, since the tolerance on the frequency of the 19 kHz pilot-tone is from -2 Hz to 2 Hz.

Pilot Frequency

Range: 14.000 kHz to 24.000 kHz

Default: 19.000 kHz

In FM stereo broadcasting, a pilot tone of 19 kHz indicates that there is stereophonic information at 38 kHz (19×2, the second harmonic of the pilot). The receiver doubles the frequency of the pilot tone and uses it as a phase reference to demodulate the stereo information.

Pilot Initial Phase

Range: 0.00 deg to 359.00 deg

Default: 0.00 deg

Set the initial phase of the pilot signal.

Stereo Frequency

Range: 34.000 kHz to 42.000 kHz

Default: 38.000 kHz

Set the stereo frequency.

Stereo Initial Phase

Range: 0.00 deg to 359.00 deg

Default: 0.00 deg

Set the initial phase of the stereo signal.

Stereo Level

Range: 0 to 2

Default: 1

Set the Stereo Level (coefficient), which adjusts the amplitude of stereo tone.

Mono Level

Range: 0 to 2

Default: 1

Set the mono Level (coefficient), which adjusts the amplitude of mono tone.

3.Audio

Audio Deviation

Range: 1% to 100%

Default: 100 %

Set the percentage of audio deviation.

Audio Source Pattern

Choice: L Only | R Only | L = R | L = -R | L ≠ R

Default: L = R

Select the type of audio source.

Audio Source

Choice: Tones | Wav File

Default: Tones

Set the format of audio source, which could be Tones or Wav File. Notice that Pre-emphasis is effective only when audio source is multi-tone.

Wav File can only be enabled when Normalized is True.

Left Tone (s)

Set the tone (s) of the left channel in the following procedures.

Click on the cell of Left Tone (s) , and a [image] will appear on the right end of the cell. Click on the button [image], and a dialog for multi-tone configuration will pop up.

Add a tone

Click on [image] button, a new tone with default frequency and amplitude will be generated.

Remove a tone

Click on [image] button, an existing tone will be eliminated. Notice that the items on top will be removed first.

Add multitone

Click on [image] button, a list of tones with configured frequencies and amplitudes will be displayed. You can specify the Start frequency, Step, End frequency and Amplitude through the dialog on the right side, here Step has been set to 4kHz as an example.

Right Tone (s)

Set the tone(s) of the right channel. For more information about the procedures, please refer to the Left Tone (s) setup.

Audio Balance

Range: 0 to 1

Default: 0.5

Set the audio balance value, which is enabled only when Audio Source Pattern is L ≠ R.

Pre-emphasis

Choice: Off | 50 us | 75 us

Default: Off

In FM transceiving, pre-emphasis and de-emphasis is always adopted to solve the low SNR problem of high frequency band. Pre-emphasis refers to raising high frequency components of the input signal at the transmitter side.

However, the maximum frequency deviation after FM may increase since the high frequency components has been lifted, and it might exceed the spectrum width allowed by the original channel. That’s why the signal ought to be attenuated after pre-emphasis, before modulation, in order to keep the frequency deviation constant.

When Pre-emphasis is turned on, and Normalized at 15kHz is False, the audio signal will pass a filter shown in Figure 1. When Normalized at 15kHz is true, the pre-emphasis gain is 0dB at 15kHz. That means the values of y-Axis in the Figure 1 will be normalized by 13.66dB. This case is commonly used because the input range of VCO is limited.

Figure 1 The relationship curve between Frequency and Gain (50us)

When Normalized is "True", Pre-emphasis has no effect for single tone, while could change the relative relationship between multiple tones.

Normalized at 15 kHz

Choice: True | False

Default: True

Double-click or use the drop-down menu to select whether the pre-emphasis gain is normalized to 0dB at 15 kHz.

When Normalized is "False", Pre-emphasis has been enabled and Normalized at 15kHz is False, set amplitude of Left Tone (s) to a certain value, a warning message will appear on the message area, at the bottom of the window.

In this case, please reset FM Deviation or Oversampling ratio.

4.RDS

RDS

Choice: On |Off

Default: On

Radio Data System, or RDS, is a standard from the European Broadcasting Union for sending small amounts of digital information.

RDS Deviation

Range: 0.1% to 20%

Default: 6.0%

RDS Frequency

Range: 53 to 61 kHz

Default: 57 kHz

RDS Initial Phase

Range: 0.00 deg to 359 deg

Default: 0.00 deg

RDS Filter Type

Choice: Nyquist | Root Nyquist

Default: Root Nyquist

Set the filter type of RDS.

Alpha

Range: 0.05 to 1

Default: 1

Set the roll-off factor of a root raised cosine filter or a raised cosine filter.

RDS Payload

Choice: Messages | Pattern Bits

Default: Messages

Set the RDS payload type.

RDS Pattern Bits

Choice: All 1s| All 0s| User defined

Default: All 1s

Set the RDS pattern bits.

RDS Insert CRC

Double-click or use the drop-down menu to set whether the CRC (Cyclic redundancy check) is inserted into the RDS pattern bits.


RDS Setup

RDS | Provides information on how to configure basic parameters of RDS, such as PI code, Country Code, PTY, TP etc.
Message | Illustrates how to add, delete and edit different message informations for RDS.


RDS basic

RDS

The Radio Data System (RDS) is intended for application to VHF/FM sound broadcasts in the range 87.5 MHz to 108.0 MHz which may carry either stereophonic (pilot-tone system) or monophonic programs. The main objectives of RDS are to enable improved functionality for FM receivers and to make them more user-friendly by using features such as Program Identification, Program Service name display and where applicable, automatic tuning for portable and car radios, in particular.

The Radio Data System has spawned in Europe around 1980. At present it starts to be used in all the world. It brings some useful possibilities. The listerner's receiver can display station name, stations phone number and address, artist and title of actual song playing, traffic announcement, program type and much more.

PI Code Value

Range: 0000000000000000 to 1111111111111111

Default: 1000000000000001

Set the 16 bits PI (Programme Identification) Code Value.

If your station has only one frequency, fill your FM frequency to AF and make sure the second digit in PI is 0 (zero).

Country Code

Range: 0 to 15

Default: 8

Set the Country Code of the PI Code.

Coverage Area

Choices: Local | International | National | Supra-regional | Regional 1....Regional 12

Default: Local

Set the Coverage Area Type of the PI Code.

Programme Reference Number

Range: 0 to 255

Default: 1

Set the Programme Reference Number of the PI Code.

In each country, these codes should be systematically assigned and generically linked to the programme families.

Traffic Programme Identification (TP)

Choice: On | Off

Default: Off

Set the Traffic Programme Identification (TP) of RDS.

This is a flag to indicate that the tuned program carries traffic announcements. The TP flag must only be set on programs which dynamically switch on the TA identification during traffic announcements. The signal shall be taken into account during automatic search tuning, so I recommend to turn this flag on even though you don't transmit any traffic announcements.

Programme Type (PTY)

Choice: 1.News | 2.Current Affairs / Information | 3.Information / Sports | 4.Sport / Talk | 5.Education / Rock\ | 6.Drama / Classic Rock | 7.Culture / Adult Hits | 8.Science / Soft Rock | 9.Varied / Top 40 | 10.Pop Music / Country | 11.Rock Music / Oldies | 12.Easy Listening Music / Soft | 13.Light Classics / Nostalgia | 14.Serious Classics / Jazz | 15.Other music / Classical | 16.Weather / Rhythm and Blues | 17.Finance / Soft Rhythm and Blues | 18.Children's Programmes / Language | 19.Social Affairs / Religious Music | 20.Religion / Religious Talk | 21.Phone In / Personality | 22.Travel / Public | 23.Leisure / College | 24.Jazz Music / Unassigned | 25.Country Music / Unassigned | 26.National Music / Unassigned | 27.Oldies Music / Unassigned | 28.Folk Music / Unassigned | 29.Documentary / Weather | 30.Alarm Test / Emergency Test | 31.Alarm / Emergency

Default: 1.News

Set the Programme Type (PTY) of RDS.

Program type (PTY) is an identification number to be transmitted with each program item and which is intended to specify the current Program type within 31 possibilities. This code could be used for search tuning. The code will, moreover, enable suitable receivers and recorders to be pre-set to respond only to program items of the desired type. The last number, i.e. 31, is reserved for an alarm identification which is intended to switch on the audio signal when a receiver is operated in a waiting reception mode.


RDS_Msg

RDS Message


Basic tuning and switching information

State

Choice: On | Off

Default: On

Set the state of the Message.

Message Type

Set in the RDS Message list.

Group Type

Range: Group Type 0 to Group Type 15

Default: Group Type 0

Illustrate the Type of the Group.

Group Version

Choice: Version A | Version B

Default: Version A

Set the Version of the Group.

For Version A, the PI code is inserted in block 1 only; for Version B, the PI code is inserted in block 1 and block 3 of all group types.

Interval

Set the interval of the message.

Traffic Announcement (TA)

Choice: On | Off

Default: Off

Set the Traffic Announcement (TA), which is an on/off switching signal to indicate when a traffic announcement is on air. The signal could be used in receivers to:

a) switch automatically from any audio mode to the traffic announcement;

b) switch on the traffic announcement automatically when the receiver is in a waiting reception mode and the audio signal is muted;

c) switch from a program to another one carrying a traffic announcement.

After the end of the traffic announcement the initial operating mode will be restored.

Music/Speech (M/S)

Choice: Music | Speech

Default: Music

Set the Music/Speech Switch (M/S), which is a two-state signal to provide information on whether music or speech is being broadcast. The signal would permit receivers to be equipped with two separate volume controls, one for music and one for speech, so that the listener could adjust the balance between them to suit his individual listening habits.

Programme Service Name (PS)

Default: RDS Test

Set the Programme Service Name (PS), which is the label of the program service consisting of not more than eight alphanumeric characters, which is displayed by RDS receivers in order to inform the listener what program service is being broadcast by the station to which the receiver is tuned.

Alternative Frequency State

Choice: On | Off

Default: Off

Set the Enable State of Alternative Frequency List.

Alternative Frequency Method

Choice: Method A | Method B

Default: Method A

Set the Method for transmission of alternative frequencies. Two methods of transmitting AFs are possible. AF method A is used for lists up to 25 in numbers and AF method B is used for larger lists.

Alternative Frequencies

Set the Method for transmission of alternative frequencies.

A dialog box will pop up for more alternative frequencies to choose.

Decoder Identification Value

Set the Binary of Decoder Identification.

DI (Decoder Identification) Value indicates which possible operating modes are appropriate for us with the broadcast audio.

Dynamic PTY

Choice: On | Off

Default: Off

Set the Dynamic PTY State of Decoder Identification, which indicates if PTY codes in the transmission are dynamically switched.

Compressed

Choice: On | Off

Default: Off

Set the Compressed State of Decoder Identification.

Artificial

Choice: On | Off

Default: Off

Set the Artificial State of Decoder Identification.

Stereo

Choice: On | Off

Default: On

Set the Stereo State of Decoder Identification.


Programme Item Number and slow labeling codes

State

Choice: On | Off

Default: On

Set the state of the Message.

Message Type

Set in the RDS Message list.

Group Type

Range: Group Type 0 to Group Type 15

Default: Group Type 1

Illustrate the Type of the Group.

Group Version

Choice: Version A | Version B

Default: Version A

Set the Version of the Group.

For Version A, the PI code is inserted in block 1 only; for Version B, the PI code is inserted in block 1 and block 3 of all group types.

Link Actuator

Choice: On | Off

Default: Off

Set the Link Actuator indicator of Group Type specified above.

Extended Country Code (ECC)

Range: 0 to 255

Default: 225

Set the Extended Country Code.

RDS uses its own country codes. The first most significant bits of the PI code carry the RDS country code. The four bit coding structure only permits the definition of 15 different codes, 1 to F(hex). Since there are many more countries to be identified, some countries have to share the same code which does not permit unique identification. There is the need for Extended Country Code (ECC).

Programme Item Number Code

Range: 0 to 65535

Default: 0

Set the Programme Item Number Code.

The transmitted Programme Item Number Code will be the scheduled broadcast start time and day of month as published by the broadcaster.

Language Code

Range: 0 to 4095

Default: 9

Set the Language Code.


Clock-time and date

Time and date codes should use Coordinated Universal Time and Modified Julian Day. The listener, however, will not use this information directly and the conversion to local time and date will be made in the receiver's circuitry. CT is used as time stamp by various RDS applications and thus it must be accurate.

State

Choice: On | Off

Default: On

Set the state of the Message.

Message Type

Set in the RDS Message list.

Group Type

Range: Group Type 0 to Group Type 15

Default: Group Type 4

Illustrate the Type of the Group.

Group Version

Choice: Version A | Version B

Default: Version A

Set the Version of the Group.

For Version A, the PI code is inserted in block 1 only; for Version B, the PI code is inserted in block 1 and block 3 of all group types.

Modified Julian Day

Default: August 08, 2008

The date is expressed in terms of Modified Julian Day and coded as a 17-bit binary number in the range 0- 99999.

UTC Hour

Range: 0 to 23

Default: 0

Set UTC (Coordinated Universal Time) hour.

UTC Minute

Range: 0 to 59

Default: 0

Set UTC (Coordinated Universal Time) minute.

Local Time Offset (Half Hour)

Range: -24 to 24

Default: 0

The local time offset is expressed in multiples of half hours within the range -12h to +12h.

Since the interval is half hour, the Local Time Offset range will be -24 to 24.


Radio Text

Radio Text refers to text transmissions, primarily addressed to consumer home receivers, which would be equipped with suitable display facilities.

There are two ways for configuring Radio Text (RT) message:

  • Directly click on [image] in the RDS Message list, and edit in the Message pane below.

  • Import Radio Text from a txt file, in which the Group Version, maximum number of messages and Interval could be specified.

State

Choice: On | Off

Default: On

Set the state of the Message.

Message Type

Set in the RDS Message list.

Group Type

Range: Group Type 0 to Group Type 15

Default: Group Type 2

Illustrate the Type of the Group.

Group Version

Choice: Version A | Version B

Default: Version A

Set the Version of the Group.

For Version A, the PI code is inserted in block 1 only; for Version B, the PI code is inserted in block 1 and block 3 of all group types.

Interval

Set the interval of the message.

Text A/B Flag

Choice: A or B

Default: A

If the receiver detects a change in the flag (from binary "0” to binary "1” or vice-versa), then the whole Radio Text display shall be cleared and the newly received Radio Text message segments shall be written into the display; If the receiver detects no change in the flag, then the received text segments or characters shall be written into the existing displayed message and those segments or characters for which no update is received shall be left unchanged.

Radio Text

Radio Text refers to text transmissions, primarily addressed to consumer home receivers, which would be equipped with suitable display facilities.


User Defined

User Defined Message box provides you a easy-to-configure user interface for customized message, in which you can specify Byte (bit4 to bit0), Byte5 to Byte8 separately.

State

Choice: On | Off

Default: On

Set the state of the Message.

Message Type

Set in the RDS Message list.

Group Type

Range: Group Type 0 to Group Type 15

Default: Group Type 0

Illustrate the Type of the Group.

Group Version

Choice: Version A | Version B

Default: Version A

Set the Version of the Group.

For Version A, the PI code is inserted in block 1 only; for Version B, the PI code is inserted in block 1 and block 3 of all group types.

Traffic Programme Identification (TP)

Choice: On | Off

Default: Off

Set the Traffic Programme (TP) Identification Code.

Programme Type (PTY)

Set the Programme Type (PTY) of RDS.

Interval

Default: 0.0s

Set the interval of the message.

Bits

Default: 0000000000000000000000000000000000000

Set the 0/1 bits of the user defined data.


Enhanced Other Networks

This feature can be used to update the information stored in a receiver about program services other than the one received. Alternative frequencies, the PS name, Traffic Program and Traffic Announcement identification as well as Program Type and Program Item Number information can be transmitted for each other service. The relation to the corresponding program is established by means of the relevant Program Identification.

State

Choice: On | Off

Default: On

Set the state of the Message.

Message Type

Set in the RDS Message list.

Group Type

Range: Group Type 0 to Group Type 15

Default: Group Type 14

Illustrate the Type of the Group.

Group Version

Choice: Version A | Version B

Default: Version A

Set the Version of the Group

For Version A, the PI code is inserted in block 1 only; for Version B, the PI code is inserted in block 1 and block 3 of all group types.

Interval

Set the interval of the message.

EON Information

Choice: PIN (ON) | AF (ON) Method A | AF Mapped Frequencies | Linkage Information | PTY (ON) and TA (ON) | PIN (ON) |

Default: AF (ON) Method A

EON information permits the transmission of not only information of a currently receiving local or this network but also information of other non-receiving networks.

Other Network PI Code Value

Range: 0000000000000000 to 1111111111111111

Default: 1000000000000001

Set the 16 bits PI (Programme Identification) Code Value.

Other Network Country Code

Range: 0 to 15

Default: 8

Set the Country Code of the PI Code.

Other Network Coverage Area

Choices: Local | International | National | Supra-regional\Regional 1....Regional 12

Default: Local

Set the Coverage Area Type of the PI Code.

Other Network Traffic Programme Identification (TP)

Choice: On | Off

Default: Off

Set the Traffic Programme Identification (TP) of RDS.

Other Network Programme Reference Number

Range: 0 to 255

Default: 2

Set the Programme Reference Number of the PI Code.

In each country, these codes should be systematically assigned and generically linked to the programme families.

Other Network Programme Item Number Code

Range: 0 to 65535

Default: 0

Other Network Traffic Announcement

Traffic Announcement (TA)

Choice: On | Off

Default: Off

Set the Traffic Announcement (TA) .

Other Network Mapped FM Frequency

Choice: 87.6 MHz to 107.9MHz

Default: 91.5MHz

Set the other Network Mapped FM Frequency, be sure to enter MHz while editing.

Other Network Programme Type (PTY)

Choice: 1.News | 2.Current Affairs / Information | 3.Information / Sports | 4.Sport / Talk | 5.Education / Rock\ | 6.Drama / Classic Rock | 7.Culture / Adult Hits | 8.Science / Soft Rock | 9.Varied / Top 40 | 10.Pop Music / Country | 11.Rock Music / Oldies | 12.Easy Listening Music / Soft | 13.Light Classics / Nostalgia | 14.Serious Classics / Jazz | 15.Other music / Classical | 16.Weather / Rhythm and Blues | 17.Finance / Soft Rhythm and Blues | 18.Children's Programmes / Language | 19.Social Affairs / Religious Music | 20.Religion / Religious Talk | 21.Phone In / Personality | 22.Travel / Public | 23.Leisure / College | 24.Jazz Music / Unassigned | 25.Country Music / Unassigned | 26.National Music / Unassigned | 27.Oldies Music / Unassigned | 28.Folk Music / Unassigned | 29.Documentary / Weather | 30.Alarm Test / Emergency Test | 31.Alarm / Emergency

Default: 1.News

Other Network Programme Service Name (PS)

Default: On Test

Set the Programme Service Name (PS).


Graph View

CCDF Graph | provides information on viewing the CCDF plot of the generated waveform.
Waveform Graph | provides information on viewing the current waveform. View either the modulated waveform or the I/Q signal.


CCDF Graph

This topic describes the CCDF functionality using the graph in the Carrier view. Clicking Carrier 0 under the tree view to display the CCDF graph.

The CCDF graph displays the probability (in percentage) of the generated waveform's calculated peak-to-average power ratio (measured in dB) meeting or exceeding a certain level. The table to the left of the CCDF plot displays the calculated peak-to-average values for the current waveform. For additional information, see Understanding CCDF Curves.

Click Generate [image] or Download [image] from the main tool bar to generate an I/Q waveform and plot the CCDF graph using the current channel configuration. Any changes to the channel configuration setup do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

The CCDF and Waveform graphs are minimized in the Carrier node's initial view. To view the graphs, click and drag the border above the CCDF and Waveform graphs.

Select FM Stereo/RDS in the Format, shown as follows.

The CCDF Curve is as follows.

Select DAB in the Format, shown as follows.

The CCDF Curve is as follows.

Each time you adjust parameters and generate a waveform, a plot is added to the graph. The graph retains your three most recent plots (in shades of gray), allowing you to make comparisons of waveform characteristics.

Use the buttons shown below to plot the Gaussian data, reference data and generated waveform data to the CCDF graph. The graph's initial state shows only the Gaussian curve (blue) until you generate a waveform.

Click to toggle the view of the band-limited Gaussian noise curve (blue).

Related Topics

Waveform Graph


Waveform Graph

Click Generate [image] or Download [image] from the main tool bar to generate an I/Q waveform and plot four different waveform graphs (Power, I+Q, I/Q, and Spectrum) in accordance with the current channel configuration. Any changes to the channel configuration do not appear on the graph until you generate the waveform. The status bar at the bottom of the screen shows waveform generation progress.

Power plot shows the cumulative power of the carrier configuration.

  • Select FM Stereo/RDS in the Format, shown as follows.

The waveform is as follows.

Click this button to select from the list of different waveform plots. Selections include Spectrum (shown above), I+Q, I|Q, and Power. Click the arrow to access a drop-down menu where you can make a direct selection. Clicking the button selects the next plot type in the list without displaying the menu.

  • Select DAB in the Format, shown as follows.

The waveform is as follows.

Click this button to select from the list of different waveform plots. Selections include Spectrum (shown above), I+Q, I|Q, and Power. Click the arrow to access a drop-down menu where you can make a direct selection. Clicking the button selects the next plot type in the list without displaying the menu.

The Waveform and CCDF graphs are minimized in the Carrier node's initial view. To view the graphs, click and drag the border above the CCDF and Waveform graphs.

Related Topic

CCDF Graph

Waveform Setup


API Control

The Signal Studio software includes a full Microsoft .NET-based application programming interface (API) as an alternative to manually entering data in the Signal Studio graphical user interface. Using API, you can automate the entire signal configuration and playback process in a programming environment of your choice.

API Help | This page provides information on accessing API help, references and usage requirements.
API Programming Examples | This procedure provides information on how to build a typical program using the Broadcast Radio API in C# programming example codes.


API Help

API Class Library

API commands for controlling the N7611B Signal Studio graphical user interface are provided in the N7611B Documented Class Library (API Help). You can access the API help by selecting the following path from the Windows Start menu:

Start > All Programs >Agilent Signal Studio > Broadcast Radio>Broadcast Radio API Help

Many of the links in the Broadcast Radio API help require the Microsoft Visual Studio .NET integrated development environment (IDE) to work. Without the development environment, those links appear broken. After you obtain and download the IDE, the links will work.

Refer to www.agilent.com/find/signalstudio for the latest software updates.

Numeric format

This software recognizes only US style numeric format, for example floating point is "."

Language Requirements

You must set the API locale to "en-US," using the following commands, prior to starting the user main routine:

// Sets the culture to English (US)
Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US");

// Sets the UI culture to English (US)
Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US");

References

The Microsoft.NET home page.
Developing Microsoft.NET Skills.
"Migrating Native Code to the .NET CLR," by Don Box.
Troelsen, Andrew. C# and the .NET Platform. New York: Apress, 2001.


API Programming Examples

Requirements

  • Make sure that Agilent.SignalStudio.N7611.dll, Agilent and Agilent.SignalStudio.Hardware.dll appear as the reference to your API Project. Notice that if DAB format is selected, make sure the SignalStudio.N7611.DAB.dll appears as the reference to you API project. The following steps, using Microsoft Visual Studio.NET 2003 IDE, outline a procedure for adding a reference, if needed. The steps may vary depending on your development environment.

    1. Use the File menu to create a new project or open an existing project in your Visual Studio.Net programming environment.

    2. Select Project > Add Reference from the menu.

    3. In the popup window that appears, browse to the directory: C:\Program Files\Agilent\Signal Studio\Broadcast Radio (default installation directory) and select the file.

    4. Click Add > OK to add them in the project as references.

Basic Control Procedure

This procedure provides information on how to build typical programs using the Broadcast Radio API in C# programming example codes, both for DAB and FM Stereo\RDS format. Refer to Tips for DAB or Tips for FM Stereo\RDS for troubleshooting help.

  • Procedures for DAB

  • Procedures for FM Stereo\RDS


API Procedures for DAB

1. Create API Handle

These commands specify how the software create an API project handler:

using System;

using Agilent.SignalStudio.N7611;

using Agilent.SignalStudio.Hardware;

API api = new API();

BroadcastRadioProject project = api.CreateProject("DAB") as BroadcastRadioProject;

2. Configure Hardware

Connect to the signal generator using the correct address format:

• GPIB(board address)::(primary address)::(secondary address)::INSTR

• TCPIP0::(IP address)::INSTR

For example, if the signal generator is connected via LAN, and the IP address is 192.168.100.10, the VISA name is

"TCPIP0::192.168.100.10::INSTR".

string inst = "TCPIP0::192.168.100.10::INSTR";

bproject.ConnectToInstrument(inst);

3. Configure the Waveform

Get the waveform setup object.

Agilent.SignalStudio.N7611.WaveformSetup waveformSetup = project.WaveformSetup;

waveformSetup.WaveformName = "DAB_TEST";

Get the carrier object.

DAB_Carrier carrier = waveformSetup.Carrier[0] as DAB_Carrier;

carrier.Ensemble.EnsembleLabel = "New Label";

DAB_ServiceComponent serviceComponent = carrier.Ensemble.Services[0].ServiceComponents[0] as DAB_ServiceComponent;

serviceComponent.DataSourceType = DataSourceType.Demo;

serviceComponent.DemoFile = DemoFile.DAB_Mono_128;

Get the signal generator object.

Agilent.SignalStudio.Hardware.SignalGenerator sigGen = project.Hardware.SignalGenerator;

Set the RF frequency to 229.072 MHz (229.072e6)

sigGen.Frequency = 229.072e6;

Set the amplitude to -8.0 dBm.

sigGen.Amplitude = -8.0;

4. Generate, Download and Run the Waveform

Generates and downloads the waveform to the signal generator, then runs it.

project.Download();

5. Set RF On

Set the signal generator's RF output on.

project.Hardware.SignalGenerator.RFOutputEnabled = true;

project.Hardware.UpdateToInstrument();

6. Set RF Off

Turn off the RF output.

project.Hardware.SignalGenerator.RFOutputEnabled = false;

project.Hardware.UpdateToInstrument();

7. End Program

End the program.

Project.Close();

Tips

use try..catch( )

If an error occurs, the software produces an exception.

Using try..catch() is a way to program the software's API to capture exceptions.

You may use try..catch() for each method call or one try..catch() for all methods to call. The example below opens the settings file test1.scp and displays an error message if the software produces an exception.

string FullpathFilename1 = "C:\\Program Files\\Agilent\\Signal Studio\\Broadcast Radio\\test1.scp";

API api = new API();

BroadcastRadioProject project;

try

{

project = (BroadcastRadioProject) api.OpenSettingsFile(FullpathFilename1);

}

catch (Exception ex)

{

MessageBox.Show(ex.Message);

}


API Procedures for FM Stereo\ RDS

1. Create API Handle

These commands specify how the software create an API project handler:

using System;

using Agilent.SignalStudio.N7611;

using Agilent.SignalStudio.Hardware;

API api = new API();

BroadcastRadioProject project = api.CreateProject("FM_RDS") as BroadcastRadioProject;

2. Configure Hardware

Connect to the signal generator using the correct address format:

• GPIB(board address)::(primary address)::(secondary address)::INSTR

• TCPIP0::(IP address)::INSTR

For example, if the signal generator is connected via LAN, and the IP address is 192.168.100.10, the VISA name is

"TCPIP0::192.168.100.10::INSTR".

string inst = "TCPIP0::192.168.100.10::INSTR";

bool connected = project.ConnectToInstrument(inst);

3. Configure the Waveform

Get the waveform setup object.

Agilent.SignalStudio.N7611.WaveformSetup waveformSetup = project.WaveformSetup;

waveformSetup.WaveformName = "FM_RDS_TEST";

Get the carrier object.

FMCarrier carrier = waveformSetup.Carrier[0] as FMCarrier;

carrier.AudioSourcePattern = AudioSourcePattern.LOnly;

carrier.RDS.ProgrammeType = ProgrammeType.News_1;

carrier.RDS.AddMessage(MessageType.RadioText);

RDS_BasicTuningAndSwitchingMessage basicMsg = carrier.RDS.Message[0] as RDS_BasicTuningAndSwitchingMessage;

basicMsg.MusicSpeechSwitch = MusicSpeechSwitch.Speech;

Get the signal generator object.

Agilent.SignalStudio.Hardware.SignalGenerator sigGen = project.Hardware.SignalGenerator;

Set the RF frequency to 100 MHz (1e9)

sigGen.Frequency = 1e9;

Set the amplitude to -8.0 dBm.

sigGen.Amplitude = -8.0;

4. Generate, Download and Run the Waveform

Generates and downloads the waveform to the signal generator, then runs it.

project.Download();

5. Set RF On

Set the signal generator's RF output on.

project.Hardware.SignalGenerator.RFOutputEnabled = true;

project.Hardware.UpdateToInstrument();

6. Set RF Off

Turn off the RF output.

project.Hardware.SignalGenerator.RFOutputEnabled = false;

project.Hardware.UpdateToInstrument();

7. End Program

End the program.

Project.Close();

Tips

use try..catch( )

If an error occurs, the software produces an exception.

Using try..catch() is a way to program the software's API to capture exceptions.

You may use try..catch() for each method call or one try..catch() for all methods to call. The example below opens the settings file test1.scp and displays an error message if the software produces an exception.

string FullpathFilename1 = "C:\\Program Files\\Agilent\\Signal Studio\\Broadcast Radio\\test1.scp";

API api = new API();

BroadcastRadioProject project;

try

{

project = (BroadcastRadioProject) api.OpenSettingsFile(FullpathFilename1);

}

catch (Exception ex)

{

MessageBox.Show(ex.Message);

}


trouble_shooting

Software Problems | identifies common software problems and solutions.
Interface Problems | gives help on communication problems between the PC and the signal generator.
Instrument Problems | describes measurement or operation problems with the signal generator.
Printing Problems | describes how to resolve common printing problems.


Software Problems

How do I disable the web survey dialog box?

Cause: After 15 uses of the software, a dialog box appears asking you to take a web survey about the software.

Solution: When the dialog box appears, select No and it will not appear again. If you do not want the dialog box to appear even the first time, do the following:

  • Ensure the software has been run at least once so that it creates a count file.

  • Locate the count file located at C:\Documents and Settings\<user name>\Agilent\<application name>count.

  • Open the file in a text editor and change the count value to 16.

  • Save the file.

After downloading the waveform, the signal generator displays error: Baseband Generator DAC over range.

Cause: The number of frames and some baseband filter selections (such as NONE) can result in a high crest factor, causing digital to analog converter (DAC) overflow.

Solution: Reduce the runtime scaling value. For example, 50 percent or less.

After downloading the waveform, the signal generator front panel keys do not work.

Cause: Downloading the waveform places the signal generator in remote operation, which deactivates the front panel operation.

Solution: On the signal generator, press the Local key to restore front panel operation.

After clicking Test Connection or Test All Connections, "FW version is not valid" appears in the Note column of the Instruments window.

Cause: The current firmware version of the signal generator needs to be upgraded.

Solution: See system requirements for information on updating the required firmware.

After clicking Test Connection or Test All Connections, "Connection failed" appears in the Note column of the Instruments window.

Cause: The instrument connection via LAN or GPIB may not be properly enabled.

Solution: Verify that all equipment is properly connected and that any LAN or GPIB interface has been correctly installed and configured. (See Agilent IO Libraries.) Ensure that the GPIB or LAN information that you entered in the Instrument window matches the instrument and interface you are using.

"Restricted User" cannot run Signal Studio application.

Cause: When a "Restricted User" tries to run the Signal Studio application without the correct security permissions, an unhandled exception error message indicates that access is denied.

Solution: The administrator must set the correct user permissions in the Signal Studio installation folder. See the instructions in User Permissions.


Interface Problems

If you experience problems communicating with or controlling instruments over the LAN or GPIB, check the following items. If this does not solve the problem, refer to the utility Connection Expert, installed with the Agilent IO Libraries. Full information on using Connection Expert is available in the IO Libraries Suite Online Help.

Troubleshooting the GPIB Interface

  • Ensure that the cable and all connectors are undamaged.

  • Ensure that the GPIB cable is securely connected to the PC and the signal generator.

  • Verify that the GPIB address entered in the software matches that of the signal generator. In the software, click Hardware in the tree view to view the GPIB settings.

  • Validate the connection. Select an signal generator connection and click Test I/O Connection. Observe the results to verify that the software is connecting to the signal generator.

  • Review the information about installing Agilent I/O libraries.

Troubleshooting the LAN Interface

If the signal generator is connected directly to a computer, use a crossover LAN cable; if the signal generator is connected to a network/external server, use a standard LAN cable.

  • Ensure that the cable and all connectors are undamaged.

  • Ensure that the LAN cable is securely connected to the PC and the signal generator.

  • Ensure that the instrument LAN connectors are active: flashing green or yellow lights indicate LAN activity.

  • Verify that the Hostname or IP address entered in the software matches that of the signal generator. In the software, click Hardware in the tree view to view the LAN settings.

  • Validate the connection. Select an signal generator connection and click Test I/O Connection. Observe the results to verify that the software is connecting to the signal generator.

  • Run the 'ping' program:

  • On the computer go to Start > Programs > Command Prompt (or DOS).

  • At the C:\> prompt, enter ping <IP address>, where <IP address> is the signal generator's IP address.

  • If the signal generator does not respond, contact your IT department for help.

Related Topics

Equipment Setup and Connection

Software Problems

Instrument Problems

Contacting Agilent


Instrument Problems

Signal Generator

Error Messages

  • Check the signal generator for any error messages. If possible, correct any conditions indicated by the messages.

When a setting conflict (error) occurs, an error number and a brief message appear at the bottom of the ESG/MXG display. You can view the full text of the error message either by using the front panel of the ESG/MXG or by executing SCPI commands.

Front Panel: | On the ESG,press Utility > Error Info. On the MXG and MXG ATE, press the Error hardkey. (For the MXG ATE, use the web interface.)
SCPI: | Execute the SCPI error commands described in the System Subsystem located in the ESG/MXG/PSG SCPI Command Reference.

  • Refer to the ESG or MXG documentation for further troubleshooting.

  • Contact an Agilent Technologies Service Center.

Front Panel Keys Do Not Work

Downloading the signal configuration places the signal generator in remote operation mode, which deactivates front panel operation. To restore front panel operation to the signal generator, press the Local key on the signal generator, or press the Local button in the software.

Computer

  • Verify that the equipment meets the minimum requirements, as described in the system requirements.

  • Refer to the computer's documentation for troubleshooting and repair.

Related Topics

Software Problems

Interface Problems

Contacting Agilent


Printing Popup Topics

The Popup Text Prints Over Existing Topic

When you click the print icon [image] while a popup is active, the printer prints the popup text over the existing topic text. The popup text has to be printed separately from the topic text. This procedure demonstrates how to print the popup text separately.

  • Activate the popup.

  • Move the cursor over the popup text.

  • Right-click.

If the popup closes, reopen it and make sure that the cursor is over the popup when you right-click.

  • From the menu that appears, choose Print.


Release Notes

2.0 – December. 2008

1.2 – June, 2008

1.1.0.0 - December, 2007

2.0 – December, 2008

Bug Fix:

  • Fixed the signal generation failure when Radio Text length is 64.

Enhancements:

  • Changed the implementation of pre-emphasis for tones in FM Stereo/RDS format.

  • Added DAB/DAB+ source generation including Mode I, II, III, IV

  • Support multiple Service and Service Components in a flexible way

    • Service added under Ensemble

    • Service components added under each service

  • Support Single and multi-carrier signal configuration

  • Support Program type, service component type, Time and date and User defined FIG.

  • Support the following Payload data: (Truncated) PN9/15, user data, fixed pattern and MPEG-2 DAB audio file

1.2 – June, 2008

Enhancements:

  • Added connectivity for the N5162A MXG ATE vector signal generator

1.1.0.0 – December, 2007 (Initial Release)

Software version 1.1.0.0 is the initial release of N7611B Signal Studio for Broadcast Radio and is used to generate create arbitrary baseband I/Q waveforms with different broadcast radio standards, like FM stereo and Radio Data System/Radio Broadcast Data System (RDS/RBDS).

Features depend on installed hardware and firmware options in the signal generator.

  • Supports N5182A MXG and E4438C ESG vector signal generators

  • Quickly and easily configures FM Multiplex (MPX) mono or stereo waveforms

  • Separately definable modulation signal in stereo L and R

  • FM Deviation 0 to 75 kHz for standard testing and up to 150 kHz for special testing

  • Pilot deviation 0.1% to 20% of FM Deviation in 0.1% steps

  • Supports RDS function for receiver (automobiles, cell phones and more) tests

  • Includes EON, TP, TA, PTY, PS, AF, CT, RT

  • Provides flexible alternative frequency (AF) configuration

  • Facilitates Radio Text messages editing - directly input or import from files

  • Provides user-definable message type and group type

  • Multi-carrier/multi-channel capability for up to 12 carriers, each independently configurable

  • Add I/Q waveform impairments and real-time AWGN (requires signal generator option 403)

  • Application Programming Interface (API) for automating signal creation


Glossary

AF | Alternative frequencies (or AF) are an option that allows a receiver to re-tune to a different frequency that provides the same station, when the first signal becomes too weak.
ALC | Automatic leveling control
Arb | Arbitrary waveform generator
AWGN | Additive white Gaussian noise
BTSC | Broadcast Television Systems Committee
BBG | Baseband generator
BER | Bit error rate
BS | Base station
CCDF | Complementary cumulative distribution function
CIF | Common Interleaved Frame
COFDM | Coded Orthogonal Frequency Division Multiplexing
CT | Clock Time. Can synchronize a clock in the receiver or the main clock in a car. Due to transmission vagaries, CT can only be accurate to within 100ms of UTC.
CU | Capacity Unit
DAB | Digital Audio Broadcasting
dB | Decibels
dBm | Decibels relative to 1 mW
EON | Enhanced Other Networks. Allows the receiver to monitor other stations for traffic broadcasts.
EVM | Error vector magnitude
FIB | Fast Information Block
FIC | Fast Information Channel
FIG | Fast Information Group
GPIB | General purpose interface bus
I/Q | In-phase and quadrature channels
LAN | Local area network
M.O.R. Music | Also called easy listening music
MSC | Main Service Channel
MW | Microwave
PS | Programme Service
PTY | Programme Type.
RBDS | Radio Broadcast Data system
RDS | Radio Broadcast system
RT | Radio Text
subcarrier | Either data, pilot, or null transmission signals
subchannels | Subsets of subcarriers.
TA | Traffic Announcement
TP | Traffic Programme
VHF | Very high frequency (VHF) is the radio frequency range from 30 MHz to 300 MHz
X-PAD | Extended Programme Associated Data


Take Our Survey

We appreciate your feedback! Please click the link below to participate in a simple survey about this software product.

http://www.agilent.com/find/n7611survey


acknowledgements

This help system includes the redistributable JavaScript wz_tooltip.js, which is subject to the terms and conditions described in the GNU Lesser General Public License.

wz_tooltip.js (v. 3.27)

Copyright © 2002-2004 Walter Zorn. All rights reserved.

www.walterzorn.com


Alternative Frequencies Configuration

Enable or disable alternative frequency configuration, with the same usage as Alternative Frequency State.

Method A

AF Method A is used for lists up to 25 in number and AF method B is used for larger lists.

Method B

AF Method B is used where the number of AFs used by a transmitter and its associated repeater stations exceed 25, or where it's required to indicate frequencies which belong to different regions which at times carry different programmes.

HF(MHz)

Radio frequencies are between 3 and 30 MHz. Also known as the decameter band or decameter wave as the wavelengths range from one to ten decameters.

MF (KHz)

Radio frequencies (RF) in the range of 300 kHz to 3000 kHz. Part of this band is the medium wave (MW) AM broadcast band. The MF band is also known as the hectometer band or hectometer wave as the wavelengths range from ten to one hectometers (1,000 to 100 m).

LF (KHz)

Radio Frequencies (RF) in the range of 30 kHz to 300 kHz. In Europe, and parts of Northern Africa and of Asia, part of the LF spectrum is used for AM broadcast service.

AF Lists

The list of alternative frequencies gives information on the various transmitters broadcasting the same program in the same or adjacent reception areas. This facility is particularly useful in the case of car and portable radios.

When the PI code indicates local coverage-area, i.e. only one frequency is used, AF list may contain this frequency.

Updated alternative frequency list in Method B.

The number of AF lists within a network is in general identical to the number of transmitters and repeater stations in the network, so that a unique list for each transmitting station can be provided.

If the number of AFs of a station is larger than 12, the list should be split into two or more lists.

Tuning Frequency (MHz)

Range (MHz): 87.6 to 107.9

Default: 91.5

Set the tuning frequency for each AF list.

Move selected Frequency up.

Move selected Frequency down.

Remove the selected frequency.

Clear all the frequency list except for the only one frequency in the first line.

Frequency

The updated frequency list displayed after editing on the right side.

Comments

Choice: HF\MF\LF

The updated comments displayed after editing on the right side.

Insert

Enter the desired frequency value, and press Insert to add a frequency into the list on the left side.

Modify

Highlight the frequency cell which need to be modified on the left side , enter the desired frequency value, and press modify.

New

Used in the AF Lists editing, press New to create a brand new AF List.

Delete

Used in the AF Lists editing, press Delete to delete a current AF List.


Available Licenses

Free Trial License

A one-time, 14-day, free trial license is available that enables the licensed instrument to play waveforms created with any of the software's optional capabilities. When the trial license expires, the instrument can no longer play the waveforms and the software displays an expiration notice when you attempt to download a waveform to the instrument. After the license expires, you must purchase a valid fixed or transportable license to enable your instrument to play the waveforms.

Purchased Licenses

Fixed License

A fixed license is assigned to a specific instrument and cannot be transferred to another instrument. Fixed licenses are either perpetual (permanent) or time-based (1 month duration). Only perpetual licenses can be upgraded. Use the Configuration Assistant to explore available upgrades.

When a time-based fixed license expires, the instrument no longer plays the waveforms and the software displays an expiration notice when you attempt to download a waveform to the instrument. After the license expires, you must purchase a valid fixed or transportable license to enable your instrument to play the waveforms.

Transportable License

A transportable license is transferable from one instrument to another up to 10 times per month, but can be used on only one instrument at a time. Transportable licenses are perpetual (permanent) and can be upgraded. Use the Configuration Assistant to explore available upgrades.

To install a transportable license into an instrument, you must have a LAN connection and use the Agilent License Manager software.


Crossover LAN

Configuring for a Crossover LAN

To set up your system for a crossover LAN connection (direct connection between a PC and instrument), do the following:

Configure the PC

This procedure is based on Windows ® XP. These steps will vary for Windows ® 2000.

  1. From your PC's Control Panel, double-click Network Connections > Local Area Connection.

  2. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  3. Click Properties.

  4. Select Use the following IP address (radio selection).

  5. Enter 1 once for each of the four areas that make up the IP address. After your entries, the IP address should show 1.1.1.1.

  6. Click the Subnet mask entry field; an address appears.

  8. Click OK to accept the configuration.

  9. Close the Local Area Connection Properties dialog box.

  10. Close the Network Connections window.

To Reconfigure for a LAN Connection

  1. Reconnect the LAN cable.

  2. From your PC's Control Panel, click Network Connections > Local Area Connection.

  3. In the Local Area Connection Status dialog box, click Properties.

  4. In the Local Area Connection Properties dialog box, highlight Internet Protocol (TCP/IP). Ensure that the checkbox remains checked.

  5. Click Properties.

  6. Select the Obtain an IP address automatically option or enter your system IP address.

  7. Click OK to accept the configuration.

  8. Close the Local Area Connection Properties dialog box.

  9. Close the Local Area Connection Status dialog box and the Network Connections window.

Configure the Signal Generator

  1. Turn on the signal generator.

  2. Use the appropriate key-press sequence for the signal generator you are using:
    MXG or MXG ATE: Utility > I/O Config > LAN Setup > Manual Config Settings > IP Address (For the MXG ATE, use the web interface.)
    ESG or PSG: Utility > GPIB/RS-232 LAN > LAN Setup > IP Address

  3. Record the current IP address.

  4. Enter 1.1.1.2 as the new IP address.

  5. Press Enter > Proceed with Reconfiguration > Confirm Change.
    The signal generator reboots, completing the LAN reconfiguration.

Configuring Additional Instruments

To configure additional instruments, such as a spectrum analyzer, increment the IP address for each additional instrument by one. For example, use 1.1.1.3 as the IP address for a third instrument and 1.1.1.4 for a fourth instrument. Refer to the user documentation of the instrument you want to add for specific crossover configuration information.

--------------------------------------------------------------------------------

Windows and MS Windows are U.S. registered trademarks of Microsoft Corporation.


Equipment Setup and Connection

Equipment Setup

Equipment Required

  • One 10Base-T cable for the PC and one for each instrument connected to a network LAN

Equipment Setup

Equipment Required

  • One 10Base-T crossover cable for the PC

If connecting more than one instrument:

  • one 10Base-T crossover cable for the PC

  • one 10Base-T cable for each instrument

  • one 10Base-T hub

Equipment Setup

Equipment Required

  • GPIB cable between PC and signal generator.

  • One of the following interfaces configured using the Agilent IO Libraries:

    • GPIB interface card in PC

    • Agilent 82357A USB/GPIB interface connector for USB port

You can test the GPIB connections by using either the Connection Expert or the Interactive IO utility that comes with the Agilent IO Libraries. Refer to the Agilent IO Libraries Suite documentation for more information.

Step 6 - Equipment Setup and Connection

Installation Steps : 1 2 3 4 5 6 7

  1. Ensure the signal generator is turned off.

  2. Connect the signal generator to a computer using one of the following methods for instrument control:

  • LAN Network—Connect both the signal generator and the computer to an external LAN network using standard LAN cables.

  • Crossover LAN—Connect the signal generator directly to the computer using crossover LAN. (You will need to configure your PC using this setup.)

  • GPIB—Connect the signal generator directly to the computer using a GPIB cable.

Related Topics

Instrument Problems

Interface Problems

Software Problems


FM Broadcasting

FM Stereo/RDS Theory

  • What is FM broadcasting?

FM broadcasting is a broadcast technology which utilizes frequency modulation (FM) to provide high-fidelity sound over broadcast radio.

  • What are the broadcast bands throughout the world?

Country/Regions | Broadcast Band(MHz)
Worldwide generally | 87.5 to 108.0
U.S | 87.8 to 108.0
Japan | 76 to 90 (0.1 MHz channel spacing)
Soviet republics and Eastern Bloc nations | 65.9 to 74 (called OIRT band, slowly phased out)

Country/Regions | FM broadcast station Frequency
Worldwide generally | exact multiple of 100 kHz
Most of the Americas and the Caribbean | odd multiples
Parts of Europe,Greenland and Africa | Greenland and Africa of 100 kHz
Italy | "half-channel" multiples of 50 kHz

  • What does FM MPX stand for?

The MPX stereo signal consists three parts.

  • The first is a normal audio signal made up of the Sum of the left and right channels. This is the signal you hear on a Mono radio and is the same as switching the Stereo/Mono Switch on an amplifier to "Mono'.

  • In addition a difference signal (Left - Right) is generated and then used to modulate a 38 Khz subcarrier using Double sideband suppressed carrier (DSBSC) modulation. This is an AM modulation of the subcarrier.

  • To keep the receiver decoder locked into the 38Khz subcarrier a 19 Khz pilot tone (EXACTLY 1/2 of 38 Khz) is transmitted at well. The relative percentage of modulation put into the pilot is 10%.

At the receiver the L+R and L-R signals are added for the Left channel ((L+R)+(L-R)=2L) and subtracted for the right channel ((L+R)-(L-R)=2R).

This is the 'Classic' method. An easier to build method simply switches between the left and right channels at a 38 KHz rate. The mathematics of this produce a signal the same as the classic method but there is less likelihood of differences between channels sneaking in.

  • What does analog and digital stand for in FM scheme?

  • What does pre-emphasis and de-emphasis do?

  • Pre-emphasis: the enhancement on high frequency components of input signal from the receiver

  • De-emphasis: the suppression on high frequency components of output demodulated signal

Pre-emphasis is applied to both channels before the Multiplexing process. A corresponding de-emphasis is applied at the receiver.

  • What does the following Spectrum diagram stand for?

Figure 3 The baseband layout of FM broadcasting

  • 50 Hz to 15 kHz Main Channel (Sum of all 4 channels) (LF+LB+RF+RB) signal, for Mono FM listening compatibility.

  • 19 kHz Pilot synchronizing signal

  • 23 to 53 kHz (sine Quadrant Subcarrier) (LF+LB) - (RF+RB) Left minus Right difference signal. This signal's modulation in algebraic sum and difference with the Main channel was used for 2 channel stereo listener compatibility.

  • 23 to 53 kHz (cosine Quadrant subcarrier) (LF+RF) - (LB+RB) Front minus Back difference signal. This signal's modulation in algebraic sum and difference with the Main channel and all the other subcarriers is used for the Quadraphonic listener.

  • 61 to 91 kHz (sine Quadrant subcarrier) (LF+RB) - (LB+RF) difference signal. This is the Diagonal difference signal. This signal's modulation in algebraic sum and difference with the main channel and all the other subcarriers is also used for the Quadraphonic listener.

  • 95 kHz SCA subcarrier, phase locked to 19 kHz pilot, for reading services for the blind, background music, etc.

RDS stands for Radio Data System, which is intended for application to VHF/FM sound broadcasts in the range 87.5 MHz to 108.0 MHz which may carry either stereophonic (pilot-tone system) or monophonic programmes. The use of more and more frequencies for radio programmes in the VHF/FM range make it increasingly difficult to tune a conventional radio to a desired programme.

The main objective of RDS

  • Enhance functionality for FM receivers, making them more user-friendly.

  • Using features such as PI (Programme Identification), PS (Programme Service) name display

  • Automatic tuning for portable and car radios, in particular. (The relevant basic tuning and switching information therefore has to be implemented by the type 0 group, and it is not optional, unlike many of the other possible features in RDS).

  • Also used in Hi-Fi fidelity sound box, radio and DVD players

Radio Broadcast Data System is the official name used for the U.S. version of RDS, along with RBDS, The two standards are nearly identical, with only slight differences, mainly in which numbers are assigned to each of 31 musical and other programme formats the RBDS system could identify. Both of the two standards use a 57kHz subcarrier to carry data at 1187.5 bits per second. The 57kHz was chosen for being the third harmonic (3×) of the pilot tone for FM stereo, so it would not cause interference or intermodulation with it, or with the stereo difference signal at 38kHz (2×). The data format utilizes error correction. RDS defines many features (see below), including how private (in-house) or other undefined features (such as differential GPS) could be "packaged" in unused programme groups.

  • How to use the RDS services?

The following information fields are normally contained in the :

  • AF

Alternative Frequencies. The list of alternative frequencies gives information on the various transmitters broadcasting the same programme in the same or adjacent reception areas. This facility is particularly useful in the case of car and portable radios.

When the PI code indicates local coverage-area, i.e. only one frequency is used, AF list may contain this frequency.

  • EON

Enhanced Other Networks. This feature could be used to update the information stored in a receiver about programme services other than the one received. Alternative frequencies, the PS name, Traffic Programme and Traffic Announcement identification as well as Programme Type and Programme Item Number information could be transmitted for each other service. The relation to the corresponding program is established by means of the relevant Programme Identification.

  • PI

Programme Identification.

This information consists of a code enabling the receiver to distinguish between countries, areas in which the same programme is transmitted, and the identification of the programme itself. The code is not intended for direct display and is assigned to each individual radio programme, to enable it to be distinguished from all other programs. One important application of this information would be to enable the receiver to search automatically for an alternative frequency in case of bad reception of the program to which the receiver is tuned; the criteria for the change-over to the new frequency would be the presence of a better signal having the same PI code.

The PI code consists of four characters. The first two characters have special meaning, second two are used to clearly identify different stations.

The first character identifies country. The second character identifies programme type in terms of area coverage:

0 - Local (Local program transmitted via a single transmitter only during the whole transmitting time.)

1 - International (The same program is also transmitted in other countries.)

2 - National (The same program is transmitted throughout the country.)

3 - Supra-regional (The same program is transmitted throughout a large part of the country.)

4 to F - Regional (The program is available only in one location or region over one or more frequencies, and there exists no definition of its frontiers.)

  • PS

Programme service name, which is the label of the program service consisting of not more than eight alphanumeric characters, which is displayed by RDS receivers in order to inform the listener what program service is being broadcast by the station to which the receiver is tuned.

  • PTY

Programme Type. This coding of up to 31 pre-defined programme types e.g. (in Europe): PTY1 News, PTY6 Drama, PTY11 Rock music, allows users to find similar programming by genre. PTY31 seems to be reserved for emergency announcements in the event of natural disasters or other major calamities.

  • RT

Radio Text.

This function allows a radio station to transmit a 64-character free-form textual information that can be either static e.g. station slogans or in sync with the programming such as the title and artist of the currently-playing song. This refers to text transmissions, primarily addressed to consumer home receivers, which would be equipped with suitable display facilities.

  • TA

This is an on/off switching signal to indicate when a traffic announcement is on air. The signal could be used in receivers to:

a) switch automatically from any audio mode to the traffic announcement;

b) switch on the traffic announcement automatically when the receiver is in a waiting reception mode and the audio signal is muted;

c) switch from a program to another one carrying a traffic announcement.

After the end of the traffic announcement the initial operating mode will be restored.

  • TP

This is a flag to indicate that the tuned program carries traffic announcements. The TP flag must only be set on programs which dynamically switch on the TA identification during traffic announcements. The signal shall be taken into account during automatic search tuning, therefore it's recommend to turn this flag on even though no traffic announcement is transmitted.

  • CT - Clock-Time and Date

Time and date codes should use Coordinated Universal Time and Modified Julian Day. The listener, however, will not use this information directly and the conversion to local time and date will be made in the receiver's circuitry. CT is used as time stamp by various RDS applications and thus it must be accurate.

  • M/S - Music/speech switch

This is a two-state signal to provide information on whether music or speech is being broadcast. The signal would permit receivers to be equipped with two separate volume controls, one for music and one for speech, so that the listener could adjust the balance between them to suit his individual listening habits.

  • What's the detailed Programme Types list?

The following table lists the RDS and RBDS Programme Type codes and their meanings:

PTY code | RDS Programme type (EU) | RBDS Program type (USA )
0 | No programme type or undefined | No program type or undefined
1 | News | News
2 | Current affairs | Information
3 | Information | Sports
4 | Sport | Talk
5 | Education | Rock
6 | Drama | Classic Rock
7 | Culture | Adult Hits
8 | Science | Soft Rock
9 | Varied | Top 40
10 | Pop Music | Country
11 | Rock Music | Oldies
12 | M.O.R. Music | Soft
13 | Light classical | Nostalgia
14 | Serious classical | Jazz
15 | Other Music | Classical
16 | Weather | Rhythm and Blues
17 | Finance | Soft Rhythm and Blues
18 | Children’s programmes | Language
19 | Social Affairs | Religious Music
20 | Religion | Religious Talk
21 | Phone In | Personality
22 | Travel | Public
23 | Leisure | College
24 | Jazz Music | Unassigned
25 | Country Music | Unassigned
26 | National Music | Unassigned
27 | Oldies Music | Unassigned
28 | Folk Music | Unassigned
29 | Documentary | Unassigned
30 | Alarm Test | Unassigned
31 | Alarm | Unassigned


Getting the Latest Revision of Help

Agilent frequently updates the Signal Studio online documentation (help system). Your software may not have the latest revision. This topic describes how to access and install the latest revision of help into your Signal Studio software.

Where to Access the Latest Help

  1. Visit the Signal Studio web page at http://www.agilent.com/find/signalstudio.

  2. At the bottom of the page, click the link for your Signal Studio model.

  3. Under the Technical Support tab, click Manuals. Links to both a downloadable compiled help file (.chm) and a web-viewable help system (webhelp) appear.

  4. Compare the date shown for the .chm file on the web page to the compiled date shown on the main menu page of your software's installed help system. If the compiled date of your software's installed help system is earlier than the date shown on the web page, you may want to consider installing the latest revision of help into your software by using the procedure below.

Installing the Latest Revision of Help in Your Signal Studio Software

  1. Before installing the latest revision of the help file into your software, make sure it still supports the features of your existing software revision. You can make this determination by comparing your software's revision number to the latest software revision number listed in the release notes of the help system available on the Agilent website. If the first digit of your software's revision number (for example, 4.0) matches the most recent revision number listed in the release notes (for example, 4.1), you can be confident that the latest help file will support the features of your current software and contain updated information. If the first digit of the most recent software revision listed in the release notes is greater than your current software revision (for example, 5.0), you may want to consider downloading the latest version of software instead.

  2. Move the existing installed help file to a safe place on your PC. This ensures you can restore it later if you discover the new help file does not suit your needs. If you installed your Signal Studio software with the default directories, the help file (for example, N7611.chm) is located in C:\Program Files\Agilent\Signal Studio\<application name>\.

    Do not move the API help file (for example, N7611API.chm) if it exists.

  3. Download the latest help file (.chm) for your Signal Studio model from the Agilent website and copy it to the same directory from which you moved the existing help file in the previous step.

  4. Verify that the new help file can be accessed from the software by selecting Contents, Index, or Search from the Help drop-down menu.


MXG ATE Web Interface

Access your instrument's web-interface page by entering its hostname or IP address into the address field of an internet browser. The MXG ATE ships with a predetermined default hostname, using this format:

a-<instrument model number>-<last 5 digits of the instrument serial number>

Example: a-n5162a-12345

Click Signal Generator Web Control from the menu on the left side of the web page. You may be prompted to enter a password before continuing to the graphical front panel interface. For more information on setting the password, refer to the signal generator's Programming Guide.


OFDMA Software

Step 5 - Downloading and Installing Signal Studio Software

Installation Steps : 1 2 3 4 5 6 7

Click the link below to download the setup.exe file that steps you through the installation process. At the prompt, select Run to install the software directly, or select Save to save a copy to your PC.

Download Now

To download the software onto your PC, you must have administrator status. If you receive an access denied message, consult your system administrator for the required permissions. See User Permissions.

Related Topic

Viewing Installed Licenses
User Permissions


Receiving the Entitlement Certificate

When you purchase a software license, you will receive a Software Entitlement Certificate. Redeem this certificate to receive the software license. Keep this certificate in a safe place for future reference.

Record the order number and the certificate number.

You will also need your instrument's model number and serial number.

On ESG, PSG, MXG, and MXG ATE signal generators, press Utility > Instrument Info > Diagnostic Info to view these numbers. (For the MXG ATE, use the web interface.)

Refer to the 16800 or 16900 Logic Analyzer documentation for information about installing and managing software licenses on these instruments.


Software License Redemption

  1. Go to the Agilent Software License Redemption web page:
    http://www.agilent.com/find/softwarelicense    .

  2. Follow the directions on the website and be prepared to enter the following information:

  • order number

  • certificate number

  • model number

  • serial number

  • a valid email address

  3. You will promptly receive an email with the license file attached.


Trial License

To request a trial license, you must provide your contact information along with the model number and serial number of the instrument for which the trial license is being issued. On ESG, MXG, and MXG ATE signal generators, press Utility > Instrument Info > Diagnostic Info to obtain these numbers. (For the MXG ATE, use the web interface.) After completing your request, you will receive an email message that includes the trial license and instructions for installing the license.

Before requesting a trial license, verify that the instrument and PC meet the system requirements.

To request a trial license now, continue to the N7611B Software Licensing website.

Terms and Conditions

A trial license is available that enables you to evaluate this Signal Studio software product prior to purchase. The trial license enables all of the capabilities of the Signal Studio software product for 14 days and will be issued only once per host instrument. The trial period begins when the license is issued through the Agilent Software Licensing website and is non-renewable. To begin your trial, download and install the Signal Studio software and request your trial license as instructed above.


Trial License Availability

Trial licenses are available for the following instruments:

  • Agilent N5162A MXG ATE signal generator

  • Agilent N5182A MXG signal generator

  • Agilent E4438C ESG signal generator

  • Agilent E8267D PSG signal generator

Trial licenses are not available for the following instruments:

  • Agilent 16800/16900 logic analyzer


Understanding CCDF Curves

To better understand CCDF curves, this discussion uses a cdmaOne signal as an example. Figure A shows the power versus time plot of a 9-channel cdmaOne signal. This plot represents the instantaneous envelope power defined by the equation: Power = I2 + Q2 where I and Q are the in-phase and quadrature components of the waveform.

Figure A

Unfortunately, the signal in the form shown in Figure A is difficult to quantify because of its inherent randomness and inconsistencies. In order to extract useful information from this noise-like signal, we need a statistical description of the power levels in this signal, and a complementary cumulative distribution function (CCDF) curve provides just that.

A CCDF curve shows how much time the signal spends at or above a given power level. The power level is expressed in dB relative to the average power. For example, each of the lines across the waveform shown in Figure A represents a specific power level above the average. The percentage of time the signal spends at or above each line defines the probability for that particular power level. A CCDF curve is a plot of relative power levels versus probability.

Figure B displays the CCDF curve of the same 9-channel cdmaOne signal captured on the E4406A VSA. Here, the x-axis is scaled to dB above the average signal power, which means we are actually measuring the peak-to-average ratios as opposed to absolute power levels. The y-axis is the percent of time the signal spends at or above the power level specified by the x-axis. For example, at t = 1% on the y-axis, the corresponding peak-to-average ratio is 7.5 dB on the x-axis. This means the signal power exceeds the average by at least 7.5 dB for 1 percent of the time. The position of the CCDF curve indicates the degree of peak-to-average deviation, with more stressful signals further to the right.

Figure B


view_details_popup

Click View Details to see the hardware information.